<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function __construct()
    {
        $this->middleware('permission:Edit Setting', ['only' => ['edit', 'update']]);
    }
    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Setting $setting)
    {
        return view('admin.setting.edit', compact('setting'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, Setting $setting)
    {
        $request_arr = [];
        if ($request->hasFile('site_logo')) {
            $filesName = '';
            $files = $request->file('site_logo');
            $inc = 0;
            foreach ($files as $file) {
                $type = $file->getClientOriginalExtension();
                $src = time() + $inc . '.' . $type;
                $file->move(public_path('images'), $src);
                $filesName = $src;
                $inc++;
            }
            $request_arr['logo'] = $filesName;
        }
        $setting = $setting->update($request_arr);
        // Optionally, you can redirect to a success page or perform other actions
        $message = 'Setting Updated Successfully';
        $type = 'success';
        return redirect()->back()->with('message', $message)->with('type', $type);
    }
}
