<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\LoginRequest;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\View\View;
use Google_Client;
use Closure;
use Illuminate\Support\Facades\Http;

class AuthenticatedSessionController extends Controller
{
    protected $google_client, $google_psychic_client;

    public function __construct()
    {
        //Make object of Google API Client for call Google API
        $this->google_client = new Google_Client();

        //Set the OAuth 2.0 Client ID
        $this->google_client->setClientId('527945381703-srndjniikk2rocdvlplbib406utbfn18.apps.googleusercontent.com');

        //Set the OAuth 2.0 Client Secret key
        $this->google_client->setClientSecret('QTqSe1ixrLPZTChQg9z7zvdn');

        //Set the OAuth 2.0 Redirect URI
        $this->google_client->setRedirectUri(route('google-register'));

        //
        $this->google_client->addScope('email');

        $this->google_client->addScope('profile');

        //Make object of Google API Client for call Google API
        $this->google_psychic_client = new Google_Client();

        //Set the OAuth 2.0 Client ID
        $this->google_psychic_client->setClientId('527945381703-srndjniikk2rocdvlplbib406utbfn18.apps.googleusercontent.com');

        //Set the OAuth 2.0 Client Secret key
        $this->google_psychic_client->setClientSecret('QTqSe1ixrLPZTChQg9z7zvdn');

        //Set the OAuth 2.0 Redirect URI
        $this->google_psychic_client->setRedirectUri(route('google-psychic-register'));

        //
        $this->google_psychic_client->addScope('email');

        $this->google_psychic_client->addScope('profile');

    }

    /**
     * Display the login view.
     */
    public function create(): View
    {
        $google_client = $this->google_client;
        return view('auth.login', compact('google_client'));
    }
    public function psychic_create(): View
    {
        $google_psychic_client = $this->google_psychic_client;
        return view('auth.psychic-login', compact('google_psychic_client'));
    }
    /**
     * Handle an incoming authentication request.
     */
    public function store(LoginRequest $request): RedirectResponse
    {
        // $request->validate([
        //     'g-recaptcha-response' => 'required'
        // ]);
        $request->authenticate();

        $request->session()->regenerate();
        return redirect()->intended(route('dashboard', absolute: false));
    }

    /**
     * Destroy an authenticated session.
     */
    public function destroy(Request $request): RedirectResponse
    {
        Auth::guard('web')->logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();

        return redirect('/');
    }
}
