<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\PsychicInfo;
use App\Models\User;
use App\Models\UserInfo;
use App\Models\PsychicCategory;
use Spatie\Permission\Models\Role;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;
use Illuminate\View\View;
use Google_Client;
use Google_Service_Oauth2;
use Illuminate\Support\Str;
use App\Mail\RegisterConfirmation;
use Illuminate\Support\Facades\Mail;
class RegisteredUserController extends Controller
{
    protected $google_client, $google_psychic_client;

    public function __construct()
    {
        //Make object of Google API Client for call Google API
        $this->google_client = new Google_Client();

        //Set the OAuth 2.0 Client ID
        $this->google_client->setClientId('527945381703-srndjniikk2rocdvlplbib406utbfn18.apps.googleusercontent.com');

        //Set the OAuth 2.0 Client Secret key
        $this->google_client->setClientSecret('QTqSe1ixrLPZTChQg9z7zvdn');

        //Set the OAuth 2.0 Redirect URI
        $this->google_client->setRedirectUri(route('google-register'));

        //
        $this->google_client->addScope('email');

        $this->google_client->addScope('profile');

        //Make object of Google API Client for call Google API
        $this->google_psychic_client = new Google_Client();

        //Set the OAuth 2.0 Client ID
        $this->google_psychic_client->setClientId('527945381703-srndjniikk2rocdvlplbib406utbfn18.apps.googleusercontent.com');

        //Set the OAuth 2.0 Client Secret key
        $this->google_psychic_client->setClientSecret('QTqSe1ixrLPZTChQg9z7zvdn');

        //Set the OAuth 2.0 Redirect URI
        $this->google_psychic_client->setRedirectUri(route('google-psychic-register'));

        //
        $this->google_psychic_client->addScope('email');

        $this->google_psychic_client->addScope('profile');
    }
    /**
     * Display the registration view.
     */
    public function create(): View
    {
        $google_client = $this->google_client;
        return view('auth.register', compact('google_client'));
    }

    public function psychic_create(): View
    {
        $psychic_categories = PsychicCategory::all();
        $google_psychic_client = $this->google_psychic_client;
        return view('auth.psychic-register', compact('google_psychic_client', 'psychic_categories'));
    }

    /**
     * Handle an incoming registration request.
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function facebook_store(Request $request)
    {
        $response = $_POST['response'];
        $token = $response['authResponse']['accessToken'];
        ///////////////////////////////////////
        // verify my access was legitimate
        ///////////////////////////////////////
        $curl_facebook2 = curl_init(); // start curl
        // $url = "https://graph.facebook.com/debug_token?input_token=" . $facebook_access_token . "&access_token=" . $facebook_access_token; // set url and parameters
        $url = 'https://graph.facebook.com/me?fields=email,name,picture,first_name,gender,hometown,last_name&access_token=' . $token;
        curl_setopt($curl_facebook2, CURLOPT_URL, $url); // set the url variable to curl
        curl_setopt($curl_facebook2, CURLOPT_RETURNTRANSFER, true); // return output as string
        $output2 = curl_exec($curl_facebook2); // execute curl call
        curl_close($curl_facebook2); // close curl
        $response = json_decode($output2, true); // decode the response (without true this will crash)
        if ($response) {
            $name = $response['name'];
            $email = $response['email'];
            $exist_user = User::where('email', $email)->get();
            if (!empty($exist_user[0])) {
                if ($exist_user[0]->approved) {
                    Auth::login($exist_user[0]);
                    return response()->json([
                        'route' => route('dashboard'),
                    ]);

                } else {
                    $message = 'Your account is not approved!!!';
                    $type = 'danger';
                    return response()->json([
                        'message' => $message,
                        'type' => $type,
                    ]);
                }
            } else {
                while (User::where('name', $name)->exists()) {
                    $random_text = Str::random(5); // Generate a random string of 5 characters
                    $name = $name . '-' . $random_text;
                }
                $user = User::create([
                    'name' => $name,
                    'email' => $email,
                    'password' => Hash::make('googlefb signup'),
                    'fname' => $name,
                    'lname' => $name,
                    'phone' => '',
                    'approved' => 0,
                ]);
                if ($_POST['user_type'] == 'User') {
                    $user_info = UserInfo::create([
                        'balance' => 0,
                        'user_id' => $user->id,
                    ]);
                } else {
                    $psychic_info = PsychicInfo::create([
                        'about' => '',
                        'online_status' => 'Offline',
                        'commission' => 0,
                        'user_id' => $user->id,
                    ]);
                }
                $role = Role::findByName($_POST['user_type']);
                $user->assignRole($role);
                event(new Registered($user));
                $data = [
                    'name' => $name,
                    'message' => 'Registration is completed.You can login after admin approval',
                ];
                Mail::to($email)->send(new RegisterConfirmation($data));
                $message = 'Sign up successfully!!!';
                $type = 'success';
                return response()->json([
                    'message' => $message,
                    'type' => $type,
                ]);
            }
        }
        $message = 'Something went wrong!!!';
        $type = 'danger';
        return response()->json([
            'message' => $message,
            'type' => $type,
        ]);
    }
    public function google_psychic_store(Request $request): RedirectResponse
    {
        if (isset($request->code)) {
            //It will Attempt to exchange a code for an valid authentication token.
            $token = $this->google_psychic_client->fetchAccessTokenWithAuthCode($request->code);

            //This condition will check there is any error occur during geting authentication token. If there is no any error occur then it will execute if block of code/
            if (!isset($token['error'])) {
                //Set the access token used for requests
                $this->google_psychic_client->setAccessToken($token['access_token']);

                //Create Object of Google Service OAuth 2 class
                $google_service = new Google_Service_Oauth2($this->google_psychic_client);

                //Get user profile data from google
                $data = $google_service->userinfo->get();
                $name = $data['given_name'] . ' ' . $data['family_name'];
                $email = $data['email'];
                $exist_user = User::where('email', $email)->get();
                if (!empty($exist_user[0])) {
                    if ($exist_user[0]->approved) {
                        Auth::login($exist_user[0]);
                        return redirect(route('dashboard', absolute: false));
                    } else {
                        $message = 'Your account is not approved!!!';
                        $type = 'danger';
                        return redirect(route('psychic-login'))->with('message', $message)->with('type', $type);
                    }
                } else {
                    while (User::where('name', $name)->exists()) {
                        $random_text = Str::random(5); // Generate a random string of 5 characters
                        $name = $name . '-' . $random_text;
                    }
                    $user = User::create([
                        'name' => $name,
                        'email' => $email,
                        'password' => Hash::make('googlefb signup'),
                        'fname' => $data['given_name'],
                        'lname' => $data['family_name'],
                        'phone' => '',
                        'approved' => 0,
                    ]);
                    $psychic_info = PsychicInfo::create([
                        'about' => '',
                        'online_status' => 'Offline',
                        'commission' => 0,
                        'user_id' => $user->id,
                    ]);
                    $role = Role::findByName('Psychic');
                    $user->assignRole($role);
                    event(new Registered($user));
                    $data = [
                        'name' => $name,
                        'message' => 'Registration is completed.You can login after admin approval',
                    ];
                    Mail::to($email)->send(new RegisterConfirmation($data));
                        $message = 'Sign up successfully!!!';
                    $type = 'success';
                    return redirect(route('psychic-register'))->with('message', $message)->with('type', $type);
                }
            }
        }
        $message = 'Something went wrong!!!';
        $type = 'danger';
        return redirect(route('psychic-register'))->with('message', $message)->with('type', $type);
    }
    public function direct_login(Request $request): RedirectResponse
    {
        $exist_user = User::where('email', $request->email)->get();
        Auth::login($exist_user[0]);
        return redirect(route('dashboard', absolute: false));
    }
    public function google_store(Request $request): RedirectResponse
    {
        if (isset($request->code)) {
            //It will Attempt to exchange a code for an valid authentication token.
            $token = $this->google_client->fetchAccessTokenWithAuthCode($request->code);

            //This condition will check there is any error occur during geting authentication token. If there is no any error occur then it will execute if block of code/
            if (!isset($token['error'])) {
                //Set the access token used for requests
                $this->google_client->setAccessToken($token['access_token']);

                //Create Object of Google Service OAuth 2 class
                $google_service = new Google_Service_Oauth2($this->google_client);

                //Get user profile data from google
                $data = $google_service->userinfo->get();
                $name = $data['given_name'] . ' ' . $data['family_name'];
                $email = $data['email'];

                $exist_user = User::where('email', $email)->get();
                if (!empty($exist_user[0])) {
                    if ($exist_user[0]->approved) {
                        Auth::login($exist_user[0]);
                        return redirect(route('dashboard', absolute: false));
                    } else {
                        $message = 'Your account is not approved!!!';
                        $type = 'danger';
                        return redirect(route('login'))->with('message', $message)->with('type', $type);
                    }
                } else {
                    while (User::where('name', $name)->exists()) {
                        $random_text = Str::random(5); // Generate a random string of 5 characters
                        $name = $name . '-' . $random_text;
                    }
                    $user = User::create([
                        'name' => $name,
                        'email' => $email,
                        'password' => Hash::make('googlefb signup'),
                        'fname' => $data['given_name'],
                        'lname' => $data['family_name'],
                        'phone' => '',
                        'approved' => 0,
                    ]);
                    $user_info = UserInfo::create([
                        'balance' => 0,
                        'user_id' => $user->id,
                    ]);
                    $role = Role::findByName('User');
                    $user->assignRole($role);
                    event(new Registered($user));
                    $data = [
                        'name' => $name,
                        'message' => 'Registration is completed.You can login after admin approval',
                    ];
                    Mail::to($email)->send(new RegisterConfirmation($data));    
                    $message = 'Sign up successfully!!!';
                    $type = 'success';
                    return redirect(route('register'))->with('message', $message)->with('type', $type);
                }
            }
        }
        $message = 'Something went wrong!!!';
        $type = 'danger';
        return redirect(route('register'))->with('message', $message)->with('type', $type);
    }
    public function store(Request $request): RedirectResponse
    {
        $request->validate([
            'fname' => ['required', 'string', 'max:255'],
            'lname' => ['required', 'string', 'max:255'],
            'name' => ['required', 'string', 'lowercase', 'max:255', 'unique:' . User::class],
            'email' => ['required', 'string', 'lowercase', 'email', 'max:255', 'unique:' . User::class],
            'phone' => ['required', 'regex:/^\+?\d{1,3}[\s-]?\d{1,4}([\s-]?\d{2,4}){2,3}$/'],
            'password' => ['required', 'confirmed', Rules\Password::defaults()],
        ], [
            'phone.regex' => 'The phone number must be a valid international number.',
        ]);
        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'password' => Hash::make($request->password),
            'fname' => $request->fname,
            'lname' => $request->lname,
            'phone' => $request->phone,
            'approved' => 0,
        ]);
        if ($request->usertype == 'User') {
            $user_info = UserInfo::create([
                'balance' => 0,
                'user_id' => $user->id,
            ]);
        } else {
            $psychic_info = PsychicInfo::create([
                'about' => $request->about,
                'online_status' => 'Offline',
                'commission' => 0,
                'user_id' => $user->id,
            ]);
        }
        $role = Role::findByName($request->usertype);
        $user->assignRole($role);
        event(new Registered($user));
        $data = [
            'name' => $request->name,
            'message' => 'Registration is completed.You can login after admin approval',
        ];
        Mail::to($request->email)->send(new RegisterConfirmation($data));
        $message = 'Sign up successfully!!!';
        $type = 'success';
        return redirect()->back()->with('message', $message)->with('type', $type);
    }
}
