<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Chat;
use App\Models\UserInfo;
use Illuminate\Support\Facades\Auth;
use App\Models\Booking;
use App\Models\User;
use App\Models\PerMinutePackage;
use Illuminate\Http\Request;
class CustomerController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function __construct()
    {

    }
    /**
     * Show the form for editing the specified resource.
     */
    public function my_activity()
    {
        if (Auth::user()->hasRole('User')) {
            $psychics = Booking::where('user_id', Auth::user()->id)
                ->distinct()
                ->get(['psychic_id']) // Use get() instead of pluck()
                ->load('psychic'); // Load the relationship after getting distinct psychic_id
            $class_name = 'single-psychic';
            return view('frontend.my-activity', compact('psychics', 'class_name'));
        } else {
            redirect('/');
        }
    }
    public function my_activity_single($name)
    {
        if (Auth::user()->hasRole('User')) {
            $user = User::role('Psychic')->with(['psychic_info', 'review.user'])->withAvg('review', 'rating')->where('name', $name)->first();
            $chats = Chat::where('user_id', Auth::user()->id)->get();
            $class_name = 'single-psychic';
            return view('frontend.my-activity-single', compact('user', 'chats', 'class_name'));
        } else {
            redirect('/');
        }
    }
    public function favorite_advisors(Request $request)
    {
        $user_info = UserInfo::where('user_id', Auth::user()->id)->first();
        $fav_psychic = $user_info->fav_psychic ?? [];
        $users = [];
        if (!empty($fav_psychic)) {
            $users = User::role('Psychic')
                ->whereIn('id', $fav_psychic)
                ->whereHas('psychic_info', function ($query) use ($request) {
                    $query->where('per_minute_package_chat_id', '!=', '')
                        ->where('per_minute_package_voice_id', '!=', '');
                    if ($request->query('chat')) {
                        $query->where($request->query('chat'), '=', 1);
                    }
                    if ($request->query('offline')) {
                        $query->where('online_status', '!=', 'Offline');
                    }
                })
                ->where('approved', 1)
                ->withCount(['booking', 'review'])
                ->having('review_count', '>=', $request->query('reviews', 0))
                ->whereHas(
                    'psychic_info.per_minute_package_chat',
                    function ($query) use ($request) {
                        if ($request->query('min_price')) {
                            $query->whereBetween('price', [$request->query('min_price'), $request->query('max_price')]);
                        }
                    }
                )
                ->whereHas(
                    'psychic_info.per_minute_package_voice',
                    function ($query) use ($request) {
                        if ($request->query('min_price')) {
                            $query->whereBetween('price', [$request->query('min_price'), $request->query('max_price')]);
                        }
                    }
                )
                ->withAvg('review', 'rating')
                ->get();
        }
        $start_price = PerMinutePackage::min('price');
        $end_price = PerMinutePackage::max('price');
        $class_name = 'single-psychic';
        return view('frontend.favorite-advisors', compact('users', 'class_name', 'start_price', 'end_price', 'request'));
    }
}
