<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function __construct()
    {

    }
    /**
     * Show the form for editing the specified resource.
     */
    public function index()
    {
        $users = User::role('Psychic')->whereHas('psychic_info', function ($query) {
            $query->where('per_minute_package_chat_id', '!=', '')->where('per_minute_package_voice_id', '!=', '')->where('psychic_category_id', '!=', '');
        })->where('approved', 1)->with(['psychic_info.per_minute_package_chat','psychic_info.per_minute_package_voice'])->withAvg('review', 'rating')->withCount(['booking'])->get();
        $class_name = 'home';
        return view('frontend.home', compact('users', 'class_name'));
    }
    public function dashboard()
    {
        if (!Auth::user()->hasRole('User')) {
            return view('dashboard');
        } else {
            return redirect()->intended('/');
        }
    }
}
