<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class RegisterConfirmation extends Mailable
{
    use Queueable, SerializesModels;

    public $data;

    public function __construct($data)
    {
        $this->data = $data; // Pass data to the email
    }

    public function build()
    {
        return $this->subject('Register Confirmation')
                    ->view('emails.register-confirmation') // Define the email view
                    ->with('data', $this->data); // Pass data to the view
    }
}
