<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PsychicInfo extends Model
{
    use HasFactory;
    protected $fillable = [
        'about',
        'temp_about',
        'temp_user_name',
        'temp_psychic_category_id',
        'reading_info',
        'online_status',
        'chat',
        'voice_call',
        'commission',
        'twilio_id',
        'per_minute_package_chat_id',
        'per_minute_package_voice_id',
        'psychic_category_id',
        'user_id',
    ];
    protected $casts = [
        'psychic_category_id' => 'json',
        'temp_psychic_category_id' => 'json',
    ];
    public function per_minute_package_chat()
    {
        return $this->belongsTo(PerMinutePackage::class, 'per_minute_package_chat_id', 'id');
    }
    public function per_minute_package_voice()
    {
        return $this->belongsTo(PerMinutePackage::class, 'per_minute_package_voice_id', 'id');
    }
}
