<?php

namespace App\Providers;

use App\Models\PsychicCategory;
use App\Models\Setting;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Gate;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Gate::before(function ($user, $ability) {
            return $user->hasRole('Super Admin') ? true : null;
        });
        view()->composer('*', function ($view) {
            $global_var = [];
            $psychic_categories = PsychicCategory::all();
            $setting = Setting::find(1);
            $global_var['psychic_categories'] = $psychic_categories;
            $global_var['site_logo'] = $setting->logo;
            $global_var['logged_in'] = 0;
            if (Auth::check()) {
                $user = Auth::user();
                $global_var['logged_in_id'] = $user->id;
                $global_var['logged_in_role'] = $user->getRoleNames(); // Retrieve the user's roles
                if ($user->hasRole('User')) {
                    $global_var['logged_in_user'] = $user->load('user_info');
                    $global_var['logged_in'] = 1;
                }
                if ($user->hasRole('Psychic')) {
                    $psychic_with_info = $user->load('psychic_info');
                    if (!$psychic_with_info->psychic_info->psychic_category_id) {
                        $global_var['psychic_cats'] = PsychicCategory::all();
                    } else {
                        $global_var['psychic_cats'] = [];
                    }
                }
            }
            view()->share($global_var);
        });
    }
}
