<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('psychic_infos', function (Blueprint $table) {
            $table->id();
            $table->longText('about')->nullable();
            $table->longText('temp_about')->nullable();
            $table->string('temp_user_name')->nullable();
            $table->json('temp_psychic_category_id')->nullable();
            $table->longText('reading_info')->nullable();
            $table->string('online_status');
            $table->boolean('chat')->default(1);
            $table->boolean('voice_call')->default(1);
            $table->decimal('commission', 8, 2);
            $table->string('twilio_id')->nullable();
            $table->integer('per_minute_package_chat_id')->nullable();
            $table->integer('per_minute_package_voice_id')->nullable();
            $table->json('psychic_category_id')->nullable();
            $table->integer('user_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('psychic_infos');
    }
};
