<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;
use Spatie\Permission\PermissionRegistrar;

class RolePermissionSeeder extends Seeder
{
    /**
     * Create the initial roles and permissions.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        // create permissions
        Permission::create(['name' => 'Package List']);
        Permission::create(['name' => 'Create Package']);
        Permission::create(['name' => 'Edit Package']);
        Permission::create(['name' => 'Delete Package']);
        Permission::create(['name' => 'PerMinutePackage List']);
        Permission::create(['name' => 'Create PerMinutePackage']);
        Permission::create(['name' => 'Edit PerMinutePackage']);
        Permission::create(['name' => 'Delete PerMinutePackage']);
        Permission::create(['name' => 'PsychicCategory List']);
        Permission::create(['name' => 'Create PsychicCategory']);
        Permission::create(['name' => 'Edit PsychicCategory']);
        Permission::create(['name' => 'Delete PsychicCategory']);
        Permission::create(['name' => 'User List']);
        Permission::create(['name' => 'Create User']);
        Permission::create(['name' => 'Edit User']);
        Permission::create(['name' => 'Delete User']);
        Permission::create(['name' => 'Edit Setting']);
        Permission::create(['name' => 'Psychic List']);
        Permission::create(['name' => 'Create Psychic']);
        Permission::create(['name' => 'Edit Psychic']);
        Permission::create(['name' => 'Delete Psychic']);
        Permission::create(['name' => 'Review List']);
        Permission::create(['name' => 'Create Review']);
        Permission::create(['name' => 'Edit Review']);
        Permission::create(['name' => 'Delete Review']);
        Permission::create(['name' => 'Chat List']);
        Permission::create(['name' => 'Create Chat']);
        Permission::create(['name' => 'Edit Chat']);
        Permission::create(['name' => 'Delete Chat']);
        
        $role = Role::create(['name' => 'Super Admin']);
        $user = \App\Models\User::factory()->create([
            'fname' => 'admin',
            'lname' => 'admin',
            'name' => 'admin',
            'email' => 'superadmin@admin.com',
            'password' => Hash::make('123456'),
            'phone' => '',
            'approved' => 1,
        ]);
        $user->assignRole($role);
        Role::create(['name' => 'User']);
        Role::create(['name' => 'Psychic']);
    }
}
