/*!
    * Start Bootstrap - SB Admin v7.0.7 (https://startbootstrap.com/template/sb-admin)
    * Copyright 2013-2023 Start Bootstrap
    * Licensed under MIT (https://github.com/StartBootstrap/startbootstrap-sb-admin/blob/master/LICENSE)
    */
// 
// Scripts
// 

window.addEventListener('DOMContentLoaded', event => {

    // Toggle the side navigation
    const sidebarToggle = document.body.querySelector('#sidebarToggle');
    if (sidebarToggle) {
        // Uncomment Below to persist sidebar toggle between refreshes
        // if (localStorage.getItem('sb|sidebar-toggle') === 'true') {
        //     document.body.classList.toggle('sb-sidenav-toggled');
        // }
        sidebarToggle.addEventListener('click', event => {
            event.preventDefault();
            document.body.classList.toggle('sb-sidenav-toggled');
            localStorage.setItem('sb|sidebar-toggle', document.body.classList.contains('sb-sidenav-toggled'));
        });
    }

});
(function ($) {
    jQuery(document).ready(function () {
        jQuery(document).on('click', '.delete-row-btn', function (e) {
            jQuery('#delete-form').attr('action', jQuery(this).attr('data-url'))
        });
    })
    $('.site-logo-upload').imageUploader({
        imagesInputName: 'site_logo',
        imagesCount: 'single'
    });
    $('.profile-image-upload').imageUploader({
        imagesInputName: 'profile_image',
        imagesCount: 'single'
    });
    jQuery(document).on('click', '.verify-phone-btn', function (e) {
        e.preventDefault()
        let $this = jQuery(this)
        $this.html(`<div class="spinner-border" role="status">
        <span class="visually-hidden">Loading...</span>
      </div>`)
        $this.prop('disabled', true)
        jQuery.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            url: '/psychic/twilio-validation-code',
            method: 'POST',
            success: function (result) {
                if (result.validationCode) {
                    jQuery('#verifyCodeModal .modal-body p').text(result.validationCode)
                    jQuery('#verifyCodeModal .call-btn').trigger('click')
                    jQuery.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        url: '/psychic/verify-phone',
                        method: 'POST',
                        success: function (result) {
                            if (result.success == 'yes') {
                                location.reload()
                            }
                            else {
                                $this.siblings('.text-danger').text('Verification failed.Please try again')
                                $this.html('Verify')
                                $this.prop('disabled', false)
                            }
                            jQuery('#verifyCodeModal .call-btn').trigger('click')
                        },
                        error: function (xhr) {
                        }
                    });
                }
                else {
                    $this.siblings('.text-danger').text(result.message)
                    $this.html('Verify')
                    $this.prop('disabled', false)
                }
            },
            error: function (xhr) {
            }
        });
    });
    const phoneInput = document.querySelector(".twillio-tel-input");
    if (phoneInput) {
        const iti = window.intlTelInput(phoneInput, {
            // Optional settings:
            initialCountry: "us", // Set default country
            preferredCountries: ["us", "gb", "ca", "au"], // Set preferred countries
            separateDialCode: true, // Shows the country code separate from the number
            utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/utils.js", // For validation and formatting
        });
        phoneInput.closest("form").addEventListener("submit", function (e) {
            e.preventDefault();

            // if (iti.isValidNumber()) {
            const internationalNumber = iti.getNumber();  // Full number with country code

            // Set hidden input fields for submitting via POST
            phoneInput.value = internationalNumber;

            // Now submit the form
            e.target.submit();
            // } else {
            //   alert("Invalid phone number.");
            // }
        });
    }
})(jQuery);