(function ($) {
    jQuery(function () {
        // chat
        var chatMinuteInterval;
        var chatTimeInterval;
        var inCallOrChat = 0;
        function getCurrentTime() {
            const date = new Date();

            // Get date components
            const day = date.getDate();
            const month = date.getMonth() + 1; // Months are 0-indexed, so add 1
            const year = date.getFullYear();

            // Get time components
            let hours = date.getHours();
            const minutes = date.getMinutes();
            const ampm = hours >= 12 ? 'pm' : 'am';

            // Convert 24-hour time to 12-hour format
            hours = hours % 12;
            hours = hours ? hours : 12; // If hours = 0, set it to 12 (for midnight)

            // Pad minutes and seconds with leading zeros if needed
            const formattedMinutes = minutes < 10 ? '0' + minutes : minutes;

            // Format date as MM/DD/YYYY
            const formattedDate = month + '/' + day + '/' + year;

            // Format time as HH:MM:SS AM/PM
            const formattedTime = hours + ':' + formattedMinutes + ' ' + ampm;

            // Return both date and time
            return formattedDate + ' ' + formattedTime;
        }
        function startChatIntervals() {
            jQuery('.sticky-chat .profile-image').attr('src', localStorage.getItem('profileImage'))
            jQuery('.sticky-chat .title').html(localStorage.getItem('name') + '<span>' + localStorage.getItem('userName') + '</span>')
            let chats = JSON.parse(localStorage.getItem('recentChat'))
            $.each(chats, function (index, value) {
                jQuery('.sticky-chat .msg-body ul').append(value)
            });
            jQuery('.sticky-chat').show()
            inCallOrChat = 1
            chatTimeInterval = setInterval(function () {
                let chatElapsedTime = localStorage.getItem('chatElapsedTime')
                chatElapsedTime++
                localStorage.setItem('chatElapsedTime', chatElapsedTime)
                let hrs = Math.floor(chatElapsedTime / 3600);
                let mins = Math.floor((chatElapsedTime % 3600) / 60);
                let secs = chatElapsedTime % 60;
                jQuery('#chat-timer').text((hrs < 10 ? "0" : "") + hrs + ":" +
                    (mins < 10 ? "0" : "") + mins + ":" +
                    (secs < 10 ? "0" : "") + secs
                )
            }, 1000);
            chatMinuteInterval = setInterval(function () {
                let balance = localStorage.getItem('chatBalance')
                let cost = localStorage.getItem('chatCost')
                if (balance >= cost) {
                    balance -= cost
                }
                else {
                    jQuery('#chatInfoModal .modal-body p').text('You Have Not Enough Balance')
                    jQuery('#chatInfoModal .chat-btn').trigger('click')
                    jQuery('.end-chat').trigger('click');
                }
                localStorage.setItem('chatBalance', balance)
                localStorage.setItem('chatCost', cost)
            }, 60000);
        }
        if (localStorage.getItem('chatBalance') && window.location.href.includes("chat")) {
            startChatIntervals()
        }
        jQuery(document).on('click', '.chat-list .chat-single-list', function (e) {
            e.preventDefault()
            let id = jQuery(this).attr('data-target')
            jQuery('.chat-list .chat-single-list').removeClass('active')
            jQuery(this).addClass('active')
            jQuery('.chatbox .modal-dialog-scrollable .modal-content').addClass('d-none')
            jQuery('#' + id).removeClass('d-none')

        });
        jQuery(document).on('click', '.end-chat', function (e) {
            clearInterval(chatMinuteInterval)
            clearInterval(chatTimeInterval)
            let otherArr = {
                cost: localStorage.getItem('chatCost') * (parseInt(localStorage.getItem('chatElapsedTime') / 60) + 1),
                minute: localStorage.getItem('chatElapsedTime') / 60,
                balance: localStorage.getItem('chatBalance'),
                booking_id: localStorage.getItem('bookingId'),
                psychic_id: localStorage.getItem('psychicId'),
                user_id: localStorage.getItem('userId')
            }
            localStorage.clear();
            jQuery.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: '/psychic/end-chat',
                method: 'POST',
                data: otherArr,
                success: function (result) {
                    inCallOrChat = 0
                    jQuery('#ratingModal .rating-btn').trigger('click')
                },
                error: function (xhr) {
                }
            });
        });
        jQuery(document).on('click', '.show-more-review', function (e) {
            let id = jQuery(this).attr('data-id')
            let offset = jQuery(this).attr('data-offset')
            jQuery.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: '/review/show-more',
                method: 'POST',
                data: { id: id, offset: offset },
                success: function (result) {
                    jQuery('.review-inner-lists').append(result.html)
                    if (!result.review_count) {
                        jQuery('.show-more-review').hide()
                    }
                    else {
                        jQuery('.show-more-review').attr('data-offset', result.offset)
                    }
                },
                error: function (xhr) {
                }
            });
        });
        // jQuery(document).on('click', '.communicate-btn', function (e) {
        //     if (jQuery(this).attr('data-id')) {
        //         let id = jQuery(this).attr('data-id')
        //         jQuery.ajax({
        //             headers: {
        //                 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        //             },
        //             url: '/psychics/chat',
        //             method: 'POST',
        //             data: {
        //                 'id': id
        //             },
        //             success: function (response) {
        //                 if (response.success == 'yes') {
        //                     localStorage.setItem('recentChat', JSON.stringify([]))
        //                     localStorage.setItem('psychicId', response.psychicId)
        //                     localStorage.setItem('userId', response.userId)
        //                     localStorage.setItem('profileImage', response.profileImage)
        //                     localStorage.setItem('userName', response.userName)
        //                     localStorage.setItem('name', response.name)
        //                     localStorage.setItem('bookingId', response.bookingId)
        //                     localStorage.setItem('chatBalance', response.balance)
        //                     localStorage.setItem('chatCost', response.cost)
        //                     localStorage.setItem('chatElapsedTime', 0)
        //                     startChatIntervals()
        //                 } else {
        //                     jQuery('#chatInfoModal .modal-body p').text(response.message)
        //                     jQuery('#chatInfoModal .chat-btn').trigger('click')
        //                 }
        //             },
        //             error: function (xhr) { }
        //         });
        //     }
        // });
        if (senderRole.includes('Psychic') && localStorage.getItem('userId')) {
            jQuery('.chat-list .chat-list-' + localStorage.getItem('userId') + ' .online').show()
            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + localStorage.getItem('userId') + ' [name=booking_id]').val(localStorage.getItem('bookingId'))
        }
        window.Echo.private('chatps.' + senderId)
            .listen('MessageSent', (e) => {
                jQuery.ajax({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    url: '/psychic/current-chatdate',
                    method: 'POST',
                    data: { date: getCurrentTime(), user: senderRole, chat_id: e.chat.id },
                    success: function (result) {

                    },
                    error: function (xhr) {
                    }
                });
                if (senderRole.includes('Psychic')) {
                    if (imgSrc) {
                        if (typeof e.chat.booking_id === 'undefined') {
                            jQuery('.chat-list .chat-list-' + localStorage.getItem('userId') + ' .online').hide()
                            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + localStorage.getItem('userId') + ' [name=booking_id]').val('')
                            localStorage.clear();
                            return false
                        }
                        localStorage.setItem('bookingId', e.chat.booking_id)
                        localStorage.setItem('userId', e.chat.user.id)
                        jQuery('.chat-list .chat-single-list').removeClass('active')
                        jQuery('.chat-list .chat-single-list .online').hide()
                        if (jQuery('.chat-list .chat-list-' + e.chat.user.id).length > 0) {
                            jQuery('.chat-list .chat-list-' + e.chat.user.id).addClass('active')
                            jQuery('.chat-list .chat-list-' + e.chat.user.id + ' .online').show()
                            jQuery('.chat-list .chat-list-' + e.chat.user.id).prependTo('.chat-list')
                        }
                        else {
                            let imgHtml = ''
                            if (e.chat.user.image) {
                                imgHtml = `<img class="img-fluid" style="width: 45px"
                                            src="` + imgSrc + `/` + e.chat.user.image + `"
                                            alt="user img">`
                            }
                            else {
                                imgHtml = `<i style="font-size: 45px;color: #dcdcdc;border-radius: 50%;"
                                class="bg-white fa-solid fa-circle-user"></i>`
                            }
                            jQuery('.chat-list').prepend(`<a href="#" class="ps-1 py-2 d-flex align-items-center chat-single-list chat-list-` + e.chat.user.id + ` active" data-target="pills-` + e.chat.user.id + `" type="button">
                                <div class="flex-shrink-0">
                                    `+ imgHtml + `
                                    <span class="online" style="display:block"></span>
                                </div>
                                <div class="flex-grow-1 ms-3">
                                    <h3>` + e.chat.user.fname + ` ` + e.chat.user.lname + `</h3>
                                    <p>` + e.chat.user.name + `</p>
                                </div>
                            </a>`)
                        }
                        jQuery('.chatbox .modal-dialog-scrollable .modal-content').addClass('d-none')
                        if (jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id).length > 0) {
                            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id).removeClass('d-none')
                            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' [name=booking_id]').val(localStorage.getItem('bookingId'))
                            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body').scrollTop(jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body')[0].scrollHeight)
                        }
                        else {
                            let imgHtml = ''
                            if (e.chat.user.image) {
                                imgHtml = `<img class="img-fluid" style="width: 45px"
                                            src="` + imgSrc + `/` + e.chat.user.image + `"
                                            alt="user img">`
                            }
                            else {
                                imgHtml = `<i style="font-size: 45px;color: #dcdcdc;border-radius: 50%;"
                                class="bg-white fa-solid fa-circle-user"></i>`
                            }
                            jQuery('.chatbox .modal-dialog-scrollable').prepend(`<div class="modal-content modal-content-` + e.chat.user.id + `" id="pills-` + e.chat.user.id + `">
                                <div class="msg-head">
                                    <div class="row">
                                        <div class="col-8">
                                            <div class="d-flex align-items-center">
                                                <div class="flex-shrink-0">
                                                `+ imgHtml + `
                                                <span class="online"></span>    
                                                </div>
                                                <div class="flex-grow-1 ms-3">
                                                    <h3>` + e.chat.user.fname + ` ` + e.chat.user.lname + `
                                                    </h3>
                                                    <p>` + e.chat.user.name + `</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                <div class="modal-body">
                                    <div class="msg-body" style="overflow-y: auto;height: 62vh;">
                                        <ul class="pe-4"></ul>
                                    </div>
                                </div>


                                <div class="send-box">
                                    <form class="chat-form">
                                        <input name="message" type="text" class="form-control"
                                            aria-label="message…" placeholder="Write message…">
                                        <input type="hidden" name="receiver_id"
                                            value="` + e.chat.user.id + `">
                                        <input type="hidden" name="user_id" value="` + e.chat.user.id + `">
                                        <input type="hidden" name="psychic_id" value="` + senderId + `">
                                        <input type="hidden" name="booking_id" value="` + localStorage.getItem('bookingId') + `">
                                        <button type="submit"><i class="fa fa-paper-plane"
                                                aria-hidden="true"></i>
                                            Send</button>
                                    </form>
                                </div>
                            </div>`)
                        }
                        let dateTime = getCurrentTime().split(' ')
                        if (jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body ul').find('.divider').length > 0) {
                            let date = jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body ul .divider').children().last().text().trim()
                            if (date != dateTime[0]) {
                                jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body ul').append(`<div class="divider"><h6>` + dateTime[0] + `</h6></div>`)
                            }
                        }
                        else {
                            jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body ul').append(`<div class="divider"><h6>` + dateTime[0] + `</h6></div>`)
                        }
                        jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + e.chat.user.id + ' .msg-body ul').append(`<li class="sender">
                        <p>`+ e.chat.message + `</p>
                        <span class="time">`+ dateTime[1] + ' ' + dateTime[2] + `</span>
                        </li>`)
                    }
                }
                else {
                    let chats = JSON.parse(localStorage.getItem('recentChat'))
                    let dateTime = getCurrentTime().split(' ')
                    chats.push(`<li class="sender">
                    <p>`+ e.chat.message + `</p>
                    <span class="time">`+ dateTime[1] + ' ' + dateTime[2] + `</span>
                    </li>`)
                    localStorage.setItem('recentChat', JSON.stringify(chats))
                    jQuery('.msg-body ul').append(`<li class="sender">
                    <p>`+ e.chat.message + `</p>
                    <span class="time">`+ getCurrentTime() + `</span>
                    </li>`)
                }
                // Update chat UI with the new message
            });

        jQuery(document).on('submit', '.chat-form', function (e) {
            e.preventDefault()
            let $this = jQuery(this)
            if (!$this.find('[name=message]').val()) {
                jQuery('#chatInfoModal .modal-body p').text('Please enter some text')
                jQuery('#chatInfoModal .chat-btn').trigger('click')
                return false
            }
            let otherArr;
            let dateTime = getCurrentTime().split(' ')
            if (senderRole.includes('Psychic')) {
                let bookingId = $this.find('[name=booking_id]').val() ?? ''
                otherArr =
                    '&booking_id=' + bookingId
                    + '&time=' + getCurrentTime()
                jQuery('.chatbox .modal-dialog-scrollable .modal-content-' + $this.find('[name="user_id"]').val() + ' .msg-body ul').append(`<li class="repaly">
                    <p>`+ $this.find('[name=message]').val() + `</p>
                    <span class="time">`+ dateTime[1] + ` ` + dateTime[2] + `</span>
                </li>`)
            }
            else {
                otherArr =
                    '&cost=' + localStorage.getItem('chatCost') * (parseInt(localStorage.getItem('chatElapsedTime') / 60) + 1)
                    + '&minute=' + localStorage.getItem('chatElapsedTime') / 60
                    + '&balance=' + localStorage.getItem('chatBalance')
                    + '&booking_id=' + localStorage.getItem('bookingId')
                    + '&time=' + getCurrentTime()
                    + '&receiver_id=' + localStorage.getItem('psychicId')
                    + '&psychic_id=' + localStorage.getItem('psychicId')
                    + '&user_id=' + localStorage.getItem('userId')
                if (localStorage.getItem('recentChat')) {
                    let chats = JSON.parse(localStorage.getItem('recentChat'))
                    chats.push(`<li class="repaly">
                    <p>`+ $this.find('[name=message]').val() + `</p>
                    <span class="time">`+ dateTime[1] + ` ` + dateTime[2] + `</span>
                </li>`)
                    localStorage.setItem('recentChat', JSON.stringify(chats))
                }
                else {
                    let countMsg = jQuery('.count-msg').attr('data-msg')
                    countMsg -= 1
                    if (countMsg == 2) {
                        jQuery('.msg-body ul').append(`<div class="divider"><h6>` + dateTime[0] + `</h6></div>`)
                    }
                    if (!countMsg) {
                        jQuery('.chat-form').remove()
                    }
                    jQuery('.count-msg').attr('data-msg', countMsg)
                    jQuery('.count-msg').text(countMsg)
                }
                jQuery('.msg-body ul').append(`
                <li class="repaly">
                    <p>`+ $this.find('[name=message]').val() + `</p>
                    <span class="time">`+ dateTime[1] + ` ` + dateTime[2] + `</span>
                </li>`)
            }
            jQuery.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: '/psychic/send-message',
                method: 'POST',
                data: $this.serialize() + otherArr,
                success: function (result) {

                },
                error: function (xhr) {
                }
            });
            $this.find('[name=message]').val('')
        });
        // chat
        // call
        var speakerDevices = document.getElementById('speaker-devices');
        var ringtoneDevices = document.getElementById('ringtone-devices');
        var outputVolumeBar = document.getElementById('output-volume');
        var inputVolumeBar = document.getElementById('input-volume');
        var volumeIndicators = document.getElementById('volume-indicators');
        if (speakerDevices) {
            var minuteInterval;
            var timeInterval;
            var elapsedTime = 0; // Elapsed time in seconds
            console.log('Requesting Capability Token...');
            $.getJSON('/twilio-token')
                //Paste URL HERE
                .done(function (data) {
                    console.log('Got a token.');
                    console.log('Token: ' + data.token);

                    // Setup Twilio.Device
                    Twilio.Device.setup(data.token);

                    Twilio.Device.ready(function (device) {
                        console.log('Twilio.Device Ready!');
                        document.getElementById('call-controls').style.display = 'block';
                    });

                    Twilio.Device.error(function (error) {
                        console.log('Twilio.Device Error: ' + error.message);
                    });

                    Twilio.Device.connect(function (conn) {
                        console.log('Successfully established call!');
                        inCallOrChat = 1
                        if (userBalance >= psychicPrice) {
                            userBalance -= psychicPrice
                        }
                        else {
                            jQuery('#callInfoModal .modal-body p').text('You Have Not Enough Balance')
                            jQuery('#callInfoModal .call-btn').trigger('click')
                            Twilio.Device.disconnectAll();
                        }
                        timeInterval = setInterval(function () {
                            elapsedTime++
                            let hrs = Math.floor(elapsedTime / 3600);
                            let mins = Math.floor((elapsedTime % 3600) / 60);
                            let secs = elapsedTime % 60;
                            jQuery('#call-timer').text((hrs < 10 ? "0" : "") + hrs + ":" +
                                (mins < 10 ? "0" : "") + mins + ":" +
                                (secs < 10 ? "0" : "") + secs
                            )
                        }, 1000);
                        minuteInterval = setInterval(function () {
                            if (userBalance >= psychicPrice) {
                                userBalance -= psychicPrice
                            }
                            else {
                                jQuery('#callInfoModal .modal-body p').text('You Have Not Enough Balance')
                                jQuery('#callInfoModal .call-btn').trigger('click')
                                Twilio.Device.disconnectAll();
                            }
                        }, 60000);
                        document.getElementById('button-call').style.display = 'none';
                        document.getElementById('button-hangup').style.display = 'inline';
                        volumeIndicators.style.display = 'block';
                        bindVolumeIndicators(conn);
                    });

                    Twilio.Device.disconnect(function (conn) {
                        console.log('Call ended.');
                        clearInterval(minuteInterval)
                        clearInterval(timeInterval)
                        jQuery('#call-timer').text('00:00:00')
                        jQuery.ajax({
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: '/psychic-voice-call',
                            method: 'POST',
                            data: { 'cost': psychicPrice * (parseInt(elapsedTime / 60) + 1), 'minute': elapsedTime / 60, 'balance': userBalance, 'call': 'end', 'id': psychicId },
                            success: function (result) {
                                if (result.success == 'yes') {
                                    inCallOrChat = 0
                                    jQuery('#ratingModal .rating-btn').trigger('click')
                                    elapsedTime = 0
                                    document.getElementById('button-call').style.display = 'inline';
                                    document.getElementById('button-hangup').style.display = 'none';
                                    volumeIndicators.style.display = 'none';
                                }
                            },
                            error: function (xhr) {
                            }
                        });
                    });

                    Twilio.Device.incoming(function (conn) {
                        console.log('Incoming connection from ' + conn.parameters.From);
                        var archEnemyPhoneNumber = '+12099517118';

                        if (conn.parameters.From === archEnemyPhoneNumber) {
                            conn.reject();
                            console.log('It\'s your nemesis. Rejected call.');
                        } else {
                            // accept the incoming connection and start two-way audio
                            conn.accept();
                        }
                    });

                    Twilio.Device.audio.on('deviceChange', updateAllDevices);

                    // Show audio selection UI if it is supported by the browser.
                    if (Twilio.Device.audio.isSelectionSupported) {
                        document.getElementById('output-selection').style.display = 'block';
                    }
                })
                .fail(function () {
                    console.log('Could not get a token from server!');
                });

            // Bind button to make call
            document.getElementById('button-call').onclick = function () {
                jQuery.ajax({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    url: '/psychic-voice-call',
                    method: 'POST',
                    data: { 'call': 'start', 'id': psychicId },
                    success: function (result) {
                        if (result.success == 'yes') {
                            // get the phone number to connect the call to
                            var params = {
                                To: document.getElementById('phone-number').value
                            };
                            jQuery('#call-timer').text('Calling...')
                            console.log('Calling ' + params.To + '...');
                            Twilio.Device.connect(params);
                        }
                        else {
                            jQuery('#callInfoModal .modal-body p').text(result.message)
                            jQuery('#callInfoModal .call-btn').trigger('click')
                        }
                    },
                    error: function (xhr) {
                    }
                });
            };

            // Bind button to hangup call
            document.getElementById('button-hangup').onclick = function () {
                console.log('Hanging up...');
                Twilio.Device.disconnectAll();
            };

            document.getElementById('get-devices').onclick = function () {
                navigator.mediaDevices.getUserMedia({ audio: true })
                    .then(updateAllDevices);
            };

            speakerDevices.addEventListener('change', function () {
                var selectedDevices = [].slice.call(speakerDevices.children)
                    .filter(function (node) { return node.selected; })
                    .map(function (node) { return node.getAttribute('data-id'); });

                Twilio.Device.audio.speakerDevices.set(selectedDevices);
            });

            ringtoneDevices.addEventListener('change', function () {
                var selectedDevices = [].slice.call(ringtoneDevices.children)
                    .filter(function (node) { return node.selected; })
                    .map(function (node) { return node.getAttribute('data-id'); });

                Twilio.Device.audio.ringtoneDevices.set(selectedDevices);
            });

            function bindVolumeIndicators(connection) {
                connection.volume(function (inputVolume, outputVolume) {
                    var inputColor = 'red';
                    if (inputVolume < .50) {
                        inputColor = 'green';
                    } else if (inputVolume < .75) {
                        inputColor = 'yellow';
                    }

                    inputVolumeBar.style.width = Math.floor(inputVolume * 300) + 'px';
                    inputVolumeBar.style.background = inputColor;

                    var outputColor = 'red';
                    if (outputVolume < .50) {
                        outputColor = 'green';
                    } else if (outputVolume < .75) {
                        outputColor = 'yellow';
                    }

                    outputVolumeBar.style.width = Math.floor(outputVolume * 300) + 'px';
                    outputVolumeBar.style.background = outputColor;
                });
            }

            function updateAllDevices() {
                updateDevices(speakerDevices, Twilio.Device.audio.speakerDevices.get());
                updateDevices(ringtoneDevices, Twilio.Device.audio.ringtoneDevices.get());
            }
            // Update the available ringtone and speaker devices
            function updateDevices(selectEl, selectedDevices) {
                selectEl.innerHTML = '';
                Twilio.Device.audio.availableOutputDevices.forEach(function (device, id) {
                    var isActive = (selectedDevices.size === 0 && id === 'default');
                    selectedDevices.forEach(function (device) {
                        if (device.deviceId === id) { isActive = true; }
                    });

                    var option = document.createElement('option');
                    option.label = device.label;
                    option.setAttribute('data-id', id);
                    if (isActive) {
                        option.setAttribute('selected', 'selected');
                    }
                    selectEl.appendChild(option);
                });
            }
        }
        var tokenBtnText = ''
        $(window).on('scroll', function () {
            if (jQuery(this).scrollTop()) {
                jQuery("header").css('background-color', '#fff')
                jQuery("header .login-btn,header .fa-bars,header .dashboard-btn").addClass('text-black')
                jQuery("header .login-btn,header .fa-bars,header .dashboard-btn").removeClass('text-white')
            }
            else {
                jQuery("header").css('background-color', 'transparent')
                jQuery("header .login-btn,header .fa-bars,header .dashboard-btn").addClass('text-white')
                jQuery("header .login-btn,header .fa-bars,header .dashboard-btn").removeClass('text-black')
            }
            if (jQuery('header').hasClass('single-psychic')) {
                let windowTop = $(window).scrollTop();
                let windowBottom = windowTop + $(window).height();
                let divTop = $('.single-psychic-content').offset().top;
                let divBottom = divTop + $('.single-psychic-content').height();
                if ((divTop >= windowTop) && (divBottom <= windowBottom)) {
                    jQuery('.single-psychic-fixed-content').hide()
                } else if ((divBottom > windowTop) && (divTop < windowBottom)) {
                    jQuery('.single-psychic-fixed-content').hide()
                } else {
                    jQuery('.single-psychic-fixed-content').show()
                }

                jQuery('.single-psychic-fixed-content-mobile').hide()
                if ($(window).width() <= 991) {
                    if ((divTop >= windowTop) && (divBottom <= windowBottom)) {
                        jQuery('.single-psychic-fixed-content-mobile').hide()
                    } else if ((divBottom > windowTop) && (divTop < windowBottom)) {
                        jQuery('.single-psychic-fixed-content-mobile').hide()
                    } else {
                        jQuery('.single-psychic-fixed-content-mobile').show()
                    }
                }
            }
        });
        jQuery('.package-lists').slick({
            centerMode: true,
            centerPadding: '70px',
            slidesToShow: 1,
            prevArrow: '<button type="button" class="slick-prev"><i class="fa-solid fa-chevron-left"></i></button>',
            nextArrow: '<button type="button" class="slick-next"><i class="fa-solid fa-chevron-right"></i></button>',
            responsive: [
                {
                    breakpoint: 417,
                    settings: {
                        centerPadding: '60px',
                    }
                },
                {
                    breakpoint: 370,
                    settings: {
                        centerPadding: '45px',
                    }
                }
            ]
        });
        // Reinitialize the Slick slider when the modal is shown
        $('#packageModal').on('shown.bs.modal', function () {
            $('.package-lists').slick('setPosition');
        });
        jQuery(document).on('click', '.slick-active .stripe-pay,.buy-package.stripe-pay', function (e) {
            let price = jQuery('.slick-active .stripe-pay').attr('data-price')
            jQuery('#stripeModal input[name=price]').val(price)
            tokenBtnText = 'Pay ($' + price + ')'
            jQuery('#stripeModal #token-btn').text(tokenBtnText)
        });

        function setOutcome(result) {
            var successElement = document.querySelector('.success');
            var errorElement = document.querySelector('.error');
            errorElement.classList.remove('text-danger');
            errorElement.textContent = '';
            if (result.token) {
                // In this example, we're simply displaying the token
                jQuery('#token-btn').html(`<div class="spinner-border" role="status">
                <span class="visually-hidden">Loading...</span>
              </div>`)
                let price = jQuery('#stripeModal input[name=price]').val()
                jQuery('#token-btn').prop('disabled', true)
                jQuery.ajax({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    url: '/payment',
                    method: 'POST',
                    data: { 'price': price, 'token': result.token.id },
                    success: function (result) {
                        jQuery('#token-btn').html(tokenBtnText)
                        if (result.success == 'yes') {
                            errorElement.classList.remove('text-danger');
                            errorElement.textContent = '';
                            successElement.textContent = result.message;
                            successElement.classList.add('text-success');
                            setTimeout(function () {
                                location.reload()
                            }, 1000);
                        }
                        else {
                            jQuery('#token-btn').prop('disabled', false)
                            successElement.textContent = '';
                            successElement.classList.remove('text-success');
                            errorElement.textContent = result.message;
                            errorElement.classList.add('text-danger');
                        }
                    },
                    error: function (xhr) {
                    }
                });
            } else if (result.error) {
                errorElement.textContent = result.error.message;
                errorElement.classList.add('text-danger');
            }
        }
        if (jQuery("#card-element")[0]) {
            var stripe = Stripe('pk_test_51LkKtsFRGZchVnkCBM888GtJAGS94S8qD2MCsvzDVQaGH3tUShSmnphBAdBJVLBytdCM2YjM1arTvSC8uhGtxZyj00iajbM6zN');
            var elements = stripe.elements();
            var card = elements.create('card', {
                hidePostalCode: true,
                style: {
                    base: {
                        iconColor: '#424770',
                        color: '#424770',
                        lineHeight: '40px',
                        fontWeight: 300,
                        fontFamily: 'Helvetica Neue',
                        fontSize: '15px',

                        '::placeholder': {
                            color: '#424770',
                        },
                    },
                }
            });
            card.mount('#card-element');

            card.on('change', function (event) {
                setOutcome(event);
            });
        }
        jQuery(document).on('click', '#token-btn', function () {
            var options = {};
            stripe.createToken(card, options).then(setOutcome);
        });
        if ($('.price-range').length) {
            $(".price-range").slider({
                range: true,
                min: parseFloat(startPrice),
                max: parseFloat(endPrice),
                step: 0.01,  // Step size for floating values
                values: [parseFloat(minPrice), parseFloat(maxPrice)],
                slide: function (event, ui) {
                    $(".amount").val("$" + ui.values[0].toFixed(2) + " - $" + ui.values[1].toFixed(2));
                    $("input[name=min_price]").val(ui.values[0]);
                    $("input[name=max_price]").val(ui.values[1]);
                }
            });
        }
        jQuery(document).on('click', '.psychic-fav-btn', function () {
            let id = jQuery(this).attr('data-id')
            jQuery.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: '/fav-psychic',
                method: 'POST',
                data: { 'id': id },
                success: function (result) {
                    let src = jQuery('.psychic-fav-btn img').attr('src')
                    if (result.success) {
                        src = src.replace('heart.svg', 'heart-red.svg')
                    } else {
                        src = src.replace('heart-red.svg', 'heart.svg')
                    }
                    jQuery('.psychic-fav-btn img').attr('src', src)
                },
                error: function (xhr) {
                }
            });
        });
        jQuery(document).on('submit', '#rating-form', function (e) {
            e.preventDefault()
            let $this = jQuery(this)
            jQuery.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: '/rating',
                method: 'POST',
                data: $this.serialize(),
                success: function (result) {
                    window.location.href = '/'
                },
                error: function (xhr) {
                }
            });
        });
        jQuery(document).on('click', '#rating-form input[name=rating]', function (e) {
            jQuery('#rating-form button[type=submit]').prop('disabled', false)
        });
        jQuery(document).on('click', '.rating-modal-close', function (e) {
            window.location.href = '/'
        });
        jQuery(document).on('click', 'a', function (e) {
            if (inCallOrChat) {
                e.preventDefault()
                jQuery('#callInfoModal .modal-body p').text('You cant leave while you are connected with the psychic')
                jQuery('#callInfoModal .call-btn').trigger('click')
                jQuery('#chatInfoModal .modal-body p').text('You cant leave while you are connected with the psychic')
                jQuery('#chatInfoModal .chat-btn').trigger('click')
            }
        });
        // Prevent back navigation
        // window.history.pushState(null, null, window.location.href);
        // window.addEventListener('popstate', function () {
        //     if (inCallOrChat) {
        //         window.history.pushState(null, null, window.location.href);
        //         jQuery('#callInfoModal .modal-body p').text('You cant leave while you are connected with the psychic')
        //         jQuery('#callInfoModal .call-btn').trigger('click')
        //         jQuery('#chatInfoModal .modal-body p').text('You cant leave while you are connected with the psychic')
        //         jQuery('#chatInfoModal .chat-btn').trigger('click')
        //     }
        // });

        // Prevent keyboard shortcuts for refresh (F5 and Ctrl+R)
        // $(document).on('keydown', function (e) {
        //     if (e.keyCode === 116 || (e.ctrlKey && e.keyCode === 82)) {
        //         e.preventDefault();
        //         alert('Refresh is disabled.');
        //     }
        // });
        // window.addEventListener('beforeunload', function (e) {
        //     // This message is not displayed anymore in most modern browsers
        //     var confirmationMessage = 'Are you sure you want to leave this page?';

        //     // Set a non-empty string to prompt the user with a dialog
        //     e.preventDefault(); // Required for most browsers
        //     e.returnValue = confirmationMessage; // Required for Chrome, Firefox, Edge
        //     return confirmationMessage; // Some browsers still require this
        // });

    })
})(jQuery);