<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Packages</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/package">Packages</a></li>
            <li class="breadcrumb-item active">Create</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Package Create
        </div>
        <div class="card-body">
            <form action="{{ route('package.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Name</label>
                        <input type="text" name="name" class="form-control">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Minute</label>
                        <input type="text" name="minute" class="form-control">
                        <p class="text-danger">
                            @error('minute')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Price</label>
                        <input type="number" step="0.01" name="price" class="form-control">
                        <p class="text-danger">
                            @error('price')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12">
                        <label class="form-label">Description</label>
                        <textarea name="description" class="form-control"></textarea>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
            </form>
        </div>
    </div>
</x-app-layout>
