<x-app-layout>
    <x-slot name="header" value="{{ $per_minute_package->header }}">
        <h1 class="mt-4">Per Minute Packages</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/per-minute-package">Per Minute Packages</a></li>
            <li class="breadcrumb-item active">Edit</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Per Minute Package Edit
        </div>
        <div class="card-body">
            <form action="{{ route('per-minute-package.update', ['per_minute_package' => $per_minute_package->id]) }}" method="POST"
                enctype="multipart/form-data">
                @csrf
                @method('PUT') <!-- or @method('PATCH') -->
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Name</label>
                        <input type="text" name="name" value="{{ $per_minute_package->name }}" class="form-control">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Price</label>
                        <input type="number" step="0.01" name="price" value="{{ $per_minute_package->price }}"
                            class="form-control">
                        <p class="text-danger">
                            @error('price')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Type</label>
                        <select class="form-select" name="type" aria-label="Default select example">
                            <option selected value="">Any</option>
                            <option value="chat" {{ $per_minute_package->type == 'chat' ? 'selected' : '' }}>
                                Live
                                Chat</option>
                            <option value="voice_call" {{ $per_minute_package->type == 'voice_call' ? 'selected' : '' }}>
                                Voice
                                Chat</option>
                        </select>
                        <p class="text-danger">
                            @error('type')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12">
                        <label class="form-label">Description</label>
                        <textarea name="description" value="{{ $per_minute_package->description }}" class="form-control">{{ $per_minute_package->description }}</textarea>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</x-app-layout>
