<x-app-layout>
    @include('create-delete-modal', ['module' => 'per_Minute_Package'])
    <x-slot name="header">
        <h1 class="mt-4">Per Minute Packages</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/per-minute-package">Per Minute Packages</a></li>
            <li class="breadcrumb-item active">List</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex align-items-center justify-content-between">
            <div>
                <i class="fas fa-table me-1"></i>
                Per Minute Packages List
            </div>
            <a href="/per-minute-package/create" class="btn btn-primary">Create</a>
        </div>
        <div class="card-body">
            <table id="datatablesSimple">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Type</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Type</th>
                        <th>Action</th>
                    </tr>
                </tfoot>
                <tbody>
                    @foreach ($per_minute_packages as $per_minute_package)
                        <tr>
                            <td>{{ $per_minute_package->name }}</td>
                            <td>{{ $per_minute_package->price }}</td>
                            <td>{{ $per_minute_package->type == 'chat' ? 'Live Chat' : 'Voice Chat' }}</td>
                            <td>
                                <div class="d-flex align-items-center">
                                    {{-- @can('Delete Project') --}}
                                    <button data-bs-toggle="modal" data-bs-target="#deletePerMinutePackageModal"
                                        data-url="{{ route('per-minute-package.destroy', ['per_minute_package' => $per_minute_package->id]) }}"
                                        type="button" class="delete-row-btn border-0 bg-transparent">
                                        <img style="width: 25px;" src="{{ asset('assets/images/delete.png') }}"
                                            alt="">
                                    </button>
                                    {{-- @endcan --}}
                                    {{-- @can('Edit Project') --}}
                                    <a class="me-2" href="{{ route('per-minute-package.edit', ['per_minute_package' => $per_minute_package->id]) }}">
                                        <img style="width: 25px;" src="{{ asset('assets/images/edit.png') }}"
                                            alt="">
                                    </a>
                                    {{-- @endcan --}}
                                </div>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</x-app-layout>
