<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Psychics</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/psychic">Psychics</a></li>
            <li class="breadcrumb-item active">Edit</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Psychic Edit
        </div>
        <div class="card-body">
            <form action="{{ route('psychic.update', $user->id) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT') <!-- or @method('PATCH') -->
                <input type="hidden" name="id" value="{{ $user->id }}">
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">First Name</label>
                        <input type="text" name="fname" value="{{ $user->fname }}" class="form-control">
                        <p class="text-danger">
                            @error('fname')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Last Name</label>
                        <input type="text" name="lname" value="{{ $user->lname }}" class="form-control">
                        <p class="text-danger">
                            @error('lname')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">User Name</label>
                        <input type="text" name="name" value="{{ $user->name }}" class="form-control">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                        @if ($user->psychic_info->temp_user_name)
                            <label class="form-label">Suggested User
                                Name:{{ $user->psychic_info->temp_user_name }}</label>
                            <div class="mb-3 form-check form-switch">
                                <input class="form-check-input" type="checkbox" name="approve_name"
                                    id="flexSwitchCheckChecked">
                                <label class="form-check-label" for="flexSwitchCheckChecked">Approve Suggested
                                    Username</label>
                            </div>
                        @endif
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Email</label>
                        <input type="email" name="email" value="{{ $user->email }}" class="form-control">
                        <p class="text-danger">
                            @error('email')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Phone</label>
                        <input type="hidden" name="phone" value="{{ $user->phone }}">
                        <input type="text" value="{{ $user->phone }}" class="form-control" disabled>
                        <p class="text-danger">
                            @error('phone')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Commission</label>
                        <input type="number" step="0.01" name="commission" class="form-control"
                            value="{{ $user->psychic_info->commission }}">
                        <p class="text-danger">
                            @error('commission')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="mb-3">
                    <label class="form-label">Reading Info</label>
                    <input type="text" name="reading_info" value="{{ $user->psychic_info->reading_info }}"
                        class="form-control">
                    <p class="text-danger">
                        @error('reading_info')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
                <div class="row mb-3">
                    <div class="col-12">
                        <label class="form-label">About</label>
                        <textarea name="about" class="form-control" value="{{ $user->psychic_info->about }}">{{ $user->psychic_info->about }}</textarea>
                        @if ($user->psychic_info->temp_about)
                            <div>Suggested About:<br>{{ $user->psychic_info->temp_about }}</div>
                            <div class="mb-3 form-check form-switch">
                                <input class="form-check-input" type="checkbox" name="approve_about"
                                    id="flexSwitchCheckChecked">
                                <label class="form-check-label" for="flexSwitchCheckChecked">Approve Suggested
                                    Content</label>
                            </div>
                        @endif
                    </div>
                </div>
                <div class="my-4">
                    <label class="form-label">Category</label>
                    @php
                        $theme_colors = ['secondary', 'success', 'info', 'warning', 'danger', 'light', 'dark'];
                        $theme_color_key = 0;
                    @endphp
                    <div>
                        @foreach ($psychic_categories as $psychic_category)
                            @php
                                if ($theme_color_key > 6) {
                                    $theme_color_key = 0;
                                } else {
                                    $theme_color_key++;
                                }
                            @endphp
                            <input type="checkbox" class="btn-check psychic-category-select"
                                name="psychic_category_id[]" value="{{ $psychic_category->id }}"
                                id="{{ 'psychic-category-' . $psychic_category->id }}"
                                {{ is_array($user->psychic_info->psychic_category_id) && in_array($psychic_category->id, $user->psychic_info->psychic_category_id) ? 'checked' : '' }}>
                            <label class="me-2 btn btn-{{ $theme_colors[$theme_color_key] }} px-4 py-2"
                                for="{{ 'psychic-category-' . $psychic_category->id }}">{{ $psychic_category->name }}</label>
                        @endforeach
                    </div>
                    <p class="text-danger">
                        @error('psychic_category_id')
                            {{ $message }}
                        @enderror
                    </p>
                    @if ($user->psychic_info->temp_psychic_category_id)
                        <label class="form-label">Suggested Category:
                            @foreach ($psychic_categories as $psychic_category)
                                @if (in_array($psychic_category->id, $user->psychic_info->temp_psychic_category_id))
                                    {{ $psychic_category->name }}
                                @endif
                            @endforeach
                        </label>
                        <div class="mb-3 form-check form-switch">
                            <input class="form-check-input" type="checkbox" name="approve_psychic_category_id"
                                id="flexSwitchCheckChecked">
                            <label class="form-check-label" for="flexSwitchCheckChecked">Approve Suggested
                                Category</label>
                        </div>
                    @endif
                </div>
                <div class="my-4">
                    <label class="form-label">Per Minute Package(Live Chat)</label>
                    @php
                        $theme_color_key = 0;
                    @endphp
                    <div>
                        @foreach ($per_minute_packages as $per_minute_package)
                            @if ($per_minute_package->type == 'chat')
                                @php
                                    if ($theme_color_key > 6) {
                                        $theme_color_key = 0;
                                    } else {
                                        $theme_color_key++;
                                    }
                                @endphp
                                <input type="radio" class="btn-check psychic-category-select"
                                    name="per_minute_package_chat_id" value="{{ $per_minute_package->id }}"
                                    id="{{ 'per-minute-package-' . $per_minute_package->id }}"
                                    {{ $per_minute_package->id == $user->psychic_info->per_minute_package_chat_id ? 'checked' : '' }}>
                                <label class="me-2 btn btn-{{ $theme_colors[$theme_color_key] }} px-4 py-2"
                                    for="{{ 'per-minute-package-' . $per_minute_package->id }}">{{ $per_minute_package->name }}</label>
                            @endif
                        @endforeach
                    </div>
                    <p class="text-danger">
                        @error('per_minute_package_chat_id')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
                <div class="my-4">
                    <label class="form-label">Per Minute Package(Voice Chat)</label>
                    @php
                        $theme_color_key = 0;
                    @endphp
                    <div>
                        @foreach ($per_minute_packages as $per_minute_package)
                            @if ($per_minute_package->type == 'voice_call')
                                @php
                                    if ($theme_color_key > 6) {
                                        $theme_color_key = 0;
                                    } else {
                                        $theme_color_key++;
                                    }
                                @endphp
                                <input type="radio" class="btn-check psychic-category-select"
                                    name="per_minute_package_voice_id" value="{{ $per_minute_package->id }}"
                                    id="{{ 'per-minute-package-' . $per_minute_package->id }}"
                                    {{ $per_minute_package->id == $user->psychic_info->per_minute_package_voice_id ? 'checked' : '' }}>
                                <label class="me-2 btn btn-{{ $theme_colors[$theme_color_key] }} px-4 py-2"
                                    for="{{ 'per-minute-package-' . $per_minute_package->id }}">{{ $per_minute_package->name }}</label>
                            @endif
                        @endforeach
                    </div>
                    <p class="text-danger">
                        @error('per_minute_package_voice_id')
                            {{ $message }}
                        @enderror
                    </p>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6 d-flex align-items-center">
                        <div class="form-check form-switch">
                            <input class="form-check-input" type="checkbox" name="approved"
                                id="flexSwitchCheckChecked" {{ $user->approved ? 'checked' : '' }}>
                            <label class="form-check-label" for="flexSwitchCheckChecked">Approved</label>
                        </div>
                        <div class="ms-4 form-check form-switch">
                            <input class="form-check-input" type="checkbox" name="chat"
                                id="flexSwitchCheckChecked" {{ $user->psychic_info->chat ? 'checked' : '' }}>
                            <label class="form-check-label" for="flexSwitchCheckChecked">Chat</label>
                        </div>
                        <div class="ms-2 form-check form-switch">
                            <input class="form-check-input" type="checkbox" name="voice_call"
                                id="flexSwitchCheckChecked" {{ $user->psychic_info->voice_call ? 'checked' : '' }}>
                            <label class="form-check-label" for="flexSwitchCheckChecked">Voice Call</label>
                            <p class="text-danger" style="margin-bottom: -24px;">
                                @error('voice_call')
                                    {{ $message }}
                                @enderror
                            </p>
                        </div>
                        <div class="d-flex ms-4">
                            <div class="form-check">
                                <input class="form-check-input" type="radio" name="online_status" id="Offline"
                                    value="Offline"
                                    {{ $user->psychic_info->online_status == 'Offline' ? 'checked' : '' }}>
                                <label class="form-check-label" for="Offline">
                                    Offline
                                </label>
                            </div>
                            <div class="form-check ms-3">
                                <input class="form-check-input" type="radio" name="online_status" id="Online"
                                    value="Online"
                                    {{ $user->psychic_info->online_status == 'Online' ? 'checked' : '' }}>
                                <label class="form-check-label" for="Online">
                                    Online
                                </label>
                            </div>
                            <div class="form-check ms-3">
                                <input class="form-check-input" type="radio" name="online_status" id="Busy"
                                    value="Busy"
                                    {{ $user->psychic_info->online_status == 'Busy' ? 'checked' : '' }}>
                                <label class="form-check-label" for="Busy">
                                    Busy
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Profile Image</label>
                        <div class="profile-image-upload"></div>
                        <img style="width: 50px;margin-top: 20px;"
                            src="{{ $user->image ? asset('images/' . $user->image) : '' }}" alt="">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</x-app-layout>
