<x-app-layout>
    @include('create-delete-modal', ['module' => 'psychic'])
    <x-slot name="header">
        <h1 class="mt-4">Psychics</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/psychic">Psychics</a></li>
            <li class="breadcrumb-item active">List</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex align-items-center justify-content-between">
            <div>
                <i class="fas fa-table me-1"></i>
                Psychics List
            </div>
            <a href="/psychic/create" class="btn btn-primary">Create</a>
        </div>
        <div class="card-body">
            <table id="datatablesSimple">
                <thead>
                    <tr>
                        <th>User Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Category</th>
                        <th>Per Minute Package(Live Chat)</th>
                        <th>Per Minute Package(Voice Chat)</th>
                        <th>Approved</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th>User Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Category</th>
                        <th>Per Minute Package(Live Chat)</th>
                        <th>Per Minute Package(Voice Chat)</th>
                        <th>Approved</th>
                        <th>Action</th>
                    </tr>
                </tfoot>
                <tbody>
                    @foreach ($users as $user)
                        @if ($user->name != 'superadmin@admin.com')
                            <tr>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->phone }}</td>
                                <td>
                                    @php
                                        if (is_array($user->psychic_info->psychic_category_id)) {
                                            $psychic_category_name = '';
                                            foreach ($user->psychic_info->psychic_category_id as $key => $value) {
                                                $psychic_category_name .= $psychic_categories[$value] . ', ';
                                            }
                                            $psychic_category_name = substr($psychic_category_name, 0, -2);
                                            echo $psychic_category_name;
                                        } else {
                                            echo '';
                                        }
                                    @endphp
                                </td>
                                <td>{{ $user->psychic_info->per_minute_package_chat_id != 0 ? $user->psychic_info->per_minute_package_chat->name : '' }}
                                </td>
                                <td>{{ $user->psychic_info->per_minute_package_voice_id != 0 ? $user->psychic_info->per_minute_package_voice->name : '' }}
                                </td>
                                <td>{{ $user->approved ? 'Yes' : 'No' }}</td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        {{-- @can('Delete Project') --}}
                                        <button data-bs-toggle="modal" data-bs-target="#deletePsychicModal"
                                            data-url="psychic/{{ $user->id }}" type="button"
                                            class="delete-row-btn border-0 bg-transparent">
                                            <img style="width: 25px;" src="{{ asset('assets/images/delete.png') }}"
                                                alt="">
                                        </button>
                                        {{-- @endcan --}}
                                        {{-- @can('Edit Project') --}}
                                        <a class="me-2" href="psychic/{{ $user->id }}/edit">
                                            <img style="width: 25px;" src="{{ asset('assets/images/edit.png') }}"
                                                alt="">
                                        </a>
                                        {{-- @endcan --}}
                                        <a class="me-2" href="{{ route('psychic.booking', ['id' => $user->id]) }}">
                                            <i class="fa-solid fa-book text-black" style="font-size: 22px;"></i>
                                        </a>
                                        <form method="POST" action="{{ route('psychic.direct-login') }}">
                                            @csrf
                                            <input type="hidden" name="email" value="{{ $user->email }}">
                                            <button type="submit" class="border-0 bg-transparent">
                                                <i class="fas fa-sign-in text-black" style="font-size: 22px;"></i>
                                            </button>
                                        </form>
                                    </div>
                                </td>
                            </tr>
                        @endif
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</x-app-layout>
