<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Psychic Categories</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/psychic-category">Psychic Categories</a></li>
            <li class="breadcrumb-item active">Edit</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Psychic Category Edit
        </div>
        <div class="card-body">
            <form action="{{ route('psychic-category.update', $psychic_category->id) }}" method="POST"
                enctype="multipart/form-data">
                @csrf
                @method('PUT') <!-- or @method('PATCH') -->
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Name</label>
                        <input type="text" name="name" class="form-control" value="{{ $psychic_category->name }}">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Icon</label>
                        <input type="text" name="icon" class="form-control" value="{{ $psychic_category->icon }}">
                        <p class="text-danger">
                            @error('icon')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12">
                        <label class="form-label">Description</label>
                        <textarea name="description" class="form-control">{{ $psychic_category->description }}</textarea>
                        <p class="text-danger">
                            @error('description')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</x-app-layout>
