<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Reviews</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/review">Reviews</a></li>
            <li class="breadcrumb-item active">Create</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Review Create
        </div>
        <div class="card-body">
            <form action="{{ route('review.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Given By</label>
                        <select name="user_id" class="form-select">
                            <option value="">Select User</option>
                            @foreach ($users as $user)
                                @if ($user->hasRole('User'))
                                    <option value="{{ $user->id }}">
                                        {{ $user->name }}
                                    </option>
                                @endif
                            @endforeach
                        </select>
                        <p class="text-danger">
                            @error('user_id')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Given To</label>
                        <select name="psychic_id" class="form-select">
                            <option value="">Select Psychic</option>
                            @foreach ($users as $user)
                                @if ($user->hasRole('Psychic'))
                                    <option value="{{ $user->id }}">
                                        {{ $user->name }}
                                    </option>
                                @endif
                            @endforeach
                        </select>
                        <p class="text-danger">
                            @error('psychic_id')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Rating</label>
                        <input type="number" min="1" max="5" name="rating" class="form-control">
                        <p class="text-danger">
                            @error('rating')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12">
                        <label class="form-label">Comment</label>
                        <textarea name="comment" class="form-control"></textarea>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Save</button>
            </form>
        </div>
    </div>
</x-app-layout>
