<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Settings</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="{{ route('setting.edit', ['setting' => 1]) }}">Settings</a></li>
            <li class="breadcrumb-item active">Edit</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            Setting Edit
        </div>
        <div class="card-body">
            <form action="{{ route('setting.update', ['setting' => $setting->id]) }}" method="POST"
                enctype="multipart/form-data">
                @csrf
                @method('PUT') <!-- or @method('PATCH') -->
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Logo</label>
                        <div class="site-logo-upload"></div>
                        <img style="width: 50px;margin-top: 20px;" src="{{ $setting->logo ? asset('images/' . $setting->logo) : '' }}" alt="">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</x-app-layout>
