<x-app-layout>
    <x-slot name="header">
        <h1 class="mt-4">Users</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/user">Users</a></li>
            <li class="breadcrumb-item active">Edit</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex">
            <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
            User Edit
        </div>
        <div class="card-body">
            <form action="{{ route('user.update', ['user' => $user->id]) }}" method="POST"
                enctype="multipart/form-data">
                @csrf
                @method('PUT') <!-- or @method('PATCH') -->
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">First Name</label>
                        <input type="text" name="fname" value="{{ $user->fname }}" class="form-control">
                        <p class="text-danger">
                            @error('fname')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Last Name</label>
                        <input type="text" name="lname" value="{{ $user->lname }}" class="form-control">
                        <p class="text-danger">
                            @error('lname')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">User Name</label>
                        <input type="text" name="name" value="{{ $user->name }}" class="form-control">
                        <p class="text-danger">
                            @error('name')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Email</label>
                        <input type="email" name="email" value="{{ $user->email }}" class="form-control">
                        <p class="text-danger">
                            @error('email')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Phone</label>
                        <input type="text" name="phone" value="{{ $user->phone }}" class="form-control twillio-tel-input">
                        <p class="text-danger">
                            @error('phone')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                    <div class="col-12 col-md-6">
                        <label class="form-label">Balance</label>
                        <input type="number" step="0.01" name="balance" value="{{ $user->user_info->balance }}"
                            class="form-control">
                        <p class="text-danger">
                            @error('balance')
                                {{ $message }}
                            @enderror
                        </p>
                    </div>
                </div>
                <div class="form-check form-switch mb-3">
                    <input class="form-check-input" type="checkbox" name="approved" id="flexSwitchCheckChecked"
                        {{ $user->approved ? 'checked' : '' }}>
                    <label class="form-check-label" for="flexSwitchCheckChecked">Approved</label>
                </div>
                <div class="row mb-3">
                    <div class="col-12 col-md-6">
                        <label class="form-label">Profile Image</label>
                        <div class="profile-image-upload"></div>
                        <img style="width: 50px;margin-top: 20px;" src="{{ $user->image ? asset('images/' . $user->image) : '' }}" alt="">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Edit</button>
            </form>
        </div>
    </div>
</x-app-layout>
