<x-app-layout>
    @include('create-delete-modal', ['module' => 'user'])
    <x-slot name="header">
        <h1 class="mt-4">Users</h1>
        <ol class="breadcrumb mb-4">
            <li class="breadcrumb-item"><a href="/user">Users</a></li>
            <li class="breadcrumb-item active">List</li>
        </ol>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center">
                    {{ session('message') }}
                </div>
            @endif
        </div>
    </x-slot>
    <div class="card mb-4">
        <div class="card-header d-flex align-items-center justify-content-between">
            <div>
                <i class="fas fa-table me-1"></i>
                Users List
            </div>
            <a href="/user/create" class="btn btn-primary">Create</a>
        </div>
        <div class="card-body">
            <table id="datatablesSimple">
                <thead>
                    <tr>
                        <th>User Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Balance</th>
                        <th>Approved</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <th>User Name</th>
                        <th>Email</th>
                        <th>Phone</th>
                        <th>Balance</th>
                        <th>Approved</th>
                        <th>Action</th>
                    </tr>
                </tfoot>
                <tbody>
                    @foreach ($users as $user)
                        @if ($user->name != 'superadmin@admin.com')
                            <tr>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->phone }}</td>
                                <td>{{ $user->user_info->balance }}</td>
                                <td>{{ $user->approved ? 'Yes' : 'No' }}</td>
                                <td>
                                    <div class="d-flex align-items-center">
                                        {{-- @can('Delete Project') --}}
                                        <button data-bs-toggle="modal" data-bs-target="#deleteUserModal"
                                            data-url="{{ route('user.destroy', ['user' => $user->id]) }}" type="button"
                                            class="delete-row-btn border-0 bg-transparent">
                                            <img style="width: 25px;" src="{{ asset('assets/images/delete.png') }}"
                                                alt="">
                                        </button>
                                        {{-- @endcan --}}
                                        {{-- @can('Edit Project') --}}
                                        <a class="me-2" href="{{ route('user.edit', ['user' => $user->id]) }}">
                                            <img style="width: 25px;" src="{{ asset('assets/images/edit.png') }}"
                                                alt="">
                                        </a>
                                        {{-- @endcan --}}
                                        <a class="me-2" href="{{ route('user.booking', ['id' => $user->id]) }}">
                                            <i class="fa-solid fa-book text-black" style="font-size: 25px;"></i>
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        @endif
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</x-app-layout>
