<x-guest-layout>
    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />
    @if (session('message'))
        <div class="alert alert-{{ session('type') }} text-center">
            {{ session('message') }}
        </div>
    @endif
    <div class="fb-alert text-center"></div>
    <div class="d-flex justify-content-center mb-4">
        <button onclick="fb_login('Psychic')"><i class="fs-1 fa-brands fa-facebook me-3"></i></button>
        <button onclick="location.href='<?php echo $google_psychic_client->createAuthUrl(); ?>';"><i class="fs-1 fab fa-google"></i></button>
    </div>
    <form method="POST" action="{{ route('login') }}" id="login-form">
        @csrf

        <!-- Email Address -->
        <div>
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"
                required autofocus autocomplete="username" />
            <x-input-error :messages="$errors->get('email')" class="ps-0 mt-2" />
        </div>

        <!-- Password -->
        <div class="mt-4">
            <x-input-label for="password" :value="__('Password')" />

            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                autocomplete="current-password" />

            <x-input-error :messages="$errors->get('password')" class="ps-0 mt-2" />
        </div>

        <!-- Remember Me -->
        <div class="block mt-4">
            <label for="remember_me" class="inline-flex items-center">
                <input id="remember_me" type="checkbox"
                    class="rounded border-gray-300 text-indigo-600 shadow-sm focus:ring-indigo-500" name="remember">
                <span class="ms-2 text-sm text-gray-600">{{ __('Remember me') }}</span>
            </label>
        </div>
        <button class="g-recaptcha" data-sitekey="6Lc-fwwqAAAAAC7jidRJAQZaC7BQwrw_r0HUY-BS" data-callback='onSubmit'
            data-action='submit'></button>
        <div class="flex items-center justify-end mt-4">
            @if (Route::has('register'))
                <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 me-2"
                    href="{{ route('register') }}">
                    {{ __('Sign up?') }}
                </a>
            @endif
            <x-primary-button class="ms-3">
                {{ __('Log in') }}
            </x-primary-button>
        </div>
    </form>
</x-guest-layout>
