<x-guest-layout>
    @if (session('message'))
        <div class="alert alert-{{ session('type') }} text-center">
            {{ session('message') }}
        </div>
    @endif
    <div class="fb-alert text-center"></div>
    <div class="d-flex justify-content-center mb-4">
        <button onclick="fb_login('Psychic')"><i class="fs-1 fa-brands fa-facebook me-3"></i></button>
        <button onclick="location.href='<?php echo $google_psychic_client->createAuthUrl(); ?>';"><i class="fs-1 fab fa-google"></i></button>
    </div>
    <form method="POST" action="{{ route('register') }}">
        @csrf
        <input type="hidden" name="usertype" value="Psychic">
        <div>
            <x-input-label for="name" :value="__('First Name')" />
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="fname" :value="old('fname')"
                required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('fname')" class="ps-0 mt-2" />
        </div>
        <div class="mt-4">
            <x-input-label for="name" :value="__('Last Name')" />
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="lname" :value="old('lname')"
                required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('lname')" class="ps-0 mt-2" />
        </div>

        <!-- Name -->
        <div class="mt-4">
            <x-input-label for="name" :value="__('Username')" />
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="name" :value="old('name')"
                required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('name')" class="ps-0 mt-2" />
        </div>

        <!-- Email Address -->
        <div class="mt-4">
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"
                required autocomplete="username" />
            <x-input-error :messages="$errors->get('email')" class="ps-0 mt-2" />
        </div>

        <!-- Password -->
        <div class="mt-4">
            <x-input-label for="password" :value="__('Password')" />

            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                autocomplete="new-password" />

            <x-input-error :messages="$errors->get('password')" class="ps-0 mt-2" />
        </div>

        <!-- Confirm Password -->
        <div class="mt-4">
            <x-input-label for="password_confirmation" :value="__('Confirm Password')" />

            <x-text-input id="password_confirmation" class="block mt-1 w-full" type="password"
                name="password_confirmation" required autocomplete="new-password" />

            <x-input-error :messages="$errors->get('password_confirmation')" class="ps-0 mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="name" :value="__('Phone')" />
            <x-text-input id="name" class="block mt-1 w-full twillio-tel-input" type="text" name="phone" :value="old('phone')"
                autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('phone')" class="ps-0 mt-2" />
        </div>
        <div class="mt-4">
            <x-input-label for="name" :value="__('About Yourself')" />
            <textarea class="block mt-1 w-full" name="about" :value="old('about')" cols="30" rows="10">@php
                old('about');
            @endphp</textarea>
        </div>
        <div class="mt-4 form-check">
            <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" required>
            <label class="form-check-label" for="flexCheckDefault">
                I agree to the <a class="privacyLinks--zN3Q9" href="{{ route('psychic-terms-of-use') }}" target="_blank"
                rel="noreferrer">terms and conditions</a>
            </label>
        </div>
        <button class="g-recaptcha" data-sitekey="6Lc-fwwqAAAAAC7jidRJAQZaC7BQwrw_r0HUY-BS" data-callback='onSubmit'
            data-action='submit'></button>
        <div class="flex items-center justify-end mt-4">
            <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
                href="{{ route('psychic-login') }}">
                {{ __('Already registered?') }}
            </a>

            <x-primary-button class="ms-4">
                {{ __('Register') }}
            </x-primary-button>
        </div>
    </form>
</x-guest-layout>
