<x-welcome-layout :class="$class_name">
    <section style="padding-top: 80px;" class="container">
        <div class="breadcumb">
            <a href="/">Home</a>
            <span>
                <svg width="100%" viewBox="0 0 8 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1 1L6 8.5L1 16" stroke="#BBBBBB" stroke-width="2" stroke-linecap="round"></path>
                </svg>
            </span>
            <span style="color: #9D9D9D">{{ $user->name }}</span>
        </div>
        <div class="single-psychic-content d-flex justify-content-center justify-content-lg-between">
            <div class="d-flex flex-column flex-lg-row align-items-center w-100">
                <div class="single-psychic-profile" style="width: 150px;height: 150px;">
                    <div class="overlay"></div>
                    <img style="object-fit: cover;" class="w-100 h-100"
                        src="{{ $user->image ? asset('images/' . $user->image) : asset('assets/images/user.png') }}"
                        alt="">
                    @php
                        $online_status_arr = [
                            'Offline' => '#bbb',
                            'Online' => '#73c940',
                            'Busy' => '#ff5050',
                        ];
                    @endphp
                    <div class="online-status"
                        style="background-color: {{ $online_status_arr[$user->psychic_info->online_status] }};bottom: -4px;">
                    </div>
                </div>
                <div class="single-psychic-price">
                    <h2 style="font-size: 22px" class="ms-2">{{ $user->name }}</h2>
                    <h4 style="font-size: 17px" class="ms-2">{{ $user->fname . ' ' . $user->lname }}</h4>
                    <div class="rating d-flex d-lg-none position-static mb-4 ms-2">
                        <i class="fa-solid fa-star" style="color: #ffb800"></i>
                        <span class="m-0">{{ (float) $user->review_avg_rating }}</span>
                    </div>
                    <a href="{{ route('psychic.single', ['name' => $user->name]) }}"
                        class="connect-btn fw-bold text-white btn" style="background-color: #6C84FF;">
                        Connect
                    </a>
                </div>
            </div>
            <div class="rating position-static d-none d-lg-flex">
                <i class="fa-solid fa-star" style="color: #ffb800"></i>
                <span>{{ (float) $user->review_avg_rating }}</span>
            </div>
        </div>
        <div class="mt-4">
            <div class="msg-body" style="overflow-y: auto;height: 62vh;background: #fff;">
                <ul class="pe-4">
                    @php
                        $date_div = '';
                        $today = date('n/j/Y', time());
                        $count_msg = 3;
                    @endphp
                    @foreach ($chats as $chat)
                        @if ($chat['user_time'])
                            @php
                                $date_time = explode(' ', $chat['user_time']);
                                if ($date_time[0] == $today) {
                                    $count_msg--;
                                }
                            @endphp
                            @if ($date_time[0] != $date_div)
                                <div class="divider">
                                    <h6>
                                        @php
                                            $date_div = $date_time[0];
                                            echo $date_div;
                                        @endphp
                                    </h6>
                                </div>
                            @endif
                        @endif
                        @if ($chat['user_id'] == $chat['receiver_id'])
                            <li class="sender">
                                <p>{{ $chat['message'] }}</p>
                                <span
                                    class="time">{{ $chat['user_time'] == 0 ? 'Offline' : $date_time[1] . ' ' . $date_time[2] }}</span>
                            </li>
                        @else
                            <li class="repaly">
                                <p>{{ $chat['message'] }}</p>
                                <span class="time">{{ $date_time[1] . ' ' . $date_time[2] }}</span>
                            </li>
                        @endif
                    @endforeach
                </ul>
            </div>
            <div class="send-box bg-white">
                @if ($count_msg)
                    <form class="chat-form">
                        <input name="message" type="text" class="form-control" aria-label="message…"
                            placeholder="Write message…">
                        <input type="hidden" name="user_id" value="{{ $logged_in_id ?? '' }}">
                        <button type="submit"><i class="fa fa-paper-plane" aria-hidden="true"></i>
                            Send</button>
                    </form>
                @endif
                <span class="mt-2 d-block">You have only
                    <b class="count-msg" data-msg="{{ $count_msg }}">{{ $count_msg }}</b> free message for
                    today</span>
            </div>
        </div>
    </section>
    <script>
        localStorage.setItem('psychicId', @json($user->id))
        localStorage.setItem('userId', @json($logged_in_id))
        localStorage.setItem('chatCost', @json(0))
    </script>
</x-welcome-layout>
