<x-welcome-layout :class="$class_name">
    @php
        $min_price = $request->query('min_price') ?? $start_price;
        $max_price = $request->query('max_price') ?? $end_price;
    @endphp
    <section class="all-advisors container" style="padding-top: 120px">
        <div class="breadcumb">
            <a href="/">Home</a>
            <span>
                <svg width="100%" viewBox="0 0 8 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1 1L6 8.5L1 16" stroke="#BBBBBB" stroke-width="2" stroke-linecap="round"></path>
                </svg>
            </span>
            <span style="color: #9D9D9D">{{ $psychic_category->name }}</span>
        </div>
        <div class="title mb-0" style="margin-top: 20px;">
            {!! $psychic_category->icon !!}
            <h2>{{ $psychic_category->name }}</h2>
        </div>
        <div class="title mt-0 psychic-desc">What's in a number? Numbers can play significant roles in
            understanding ourselves and discovering our life path. Online numerologists know what your life path number
            means, and much more. From your name to the date of your birth, get a numerology reading online and learn
            about yourself and your destiny!</div>
        @include('psychic-filter', [
            'request' => $request,
            'min_price' => $min_price,
            'max_price' => $max_price,
            'route' => route('psychics.category', ['psychic_category' => $psychic_category->name]),
        ])
        @include('psychic-list', ['users' => $users])
    </section>
    <script>
        const startPrice = @json($start_price);
        const endPrice = @json($end_price);
        const minPrice = @json($min_price);
        const maxPrice = @json($max_price);
    </script>
</x-welcome-layout>
