<x-welcome-layout :class="$class_name">
    @php
        $online_status_arr = [
            'Offline' => '#bbb',
            'Online' => '#73c940',
            'Busy' => '#ff5050',
        ];
    @endphp
    @include('stripe-modal', ['packages' => $packages])
    <section class="position-fixed w-100 bg-white single-psychic-fixed-content">
        <div class="container d-flex justify-content-between">
            <div class="d-flex align-items-center py-3">
                <img src="{{ $user->image ? asset('images/' . $user->image) : asset('assets/images/user.png') }}"
                    alt="">
                <div>
                    <h2>{{ $user->name }}</h2>
                    <h4>{{ $user->fname . ' ' . $user->lname }}</h4>
                </div>
            </div>
            <div class="d-none d-lg-flex align-items-center">
                <button class="communicate-btn btn d-flex align-items-center"
                    {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_chat->price ? "onclick=location.href='" . route('psychics.chat', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                    style="background-color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }};{{ $user->psychic_info->chat && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                    <div class="btn-icon"
                        style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                        <i class="fa-solid fa-comment"
                            style="color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                    </div>
                    <div class="d-flex justify-content-center w-100">
                        <span>Chat</span>
                    </div>
                </button>
                <button class="communicate-btn btn d-flex align-items-center"
                    {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_voice->price ? "onclick=location.href='" . route('psychic.voice-call', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                    style="margin-left:14px;background-color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }};{{ $user->psychic_info->voice_call && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                    <div class="btn-icon"
                        style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                        <i class="fa-solid fa-phone"
                            style="color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                    </div>
                    <div class="d-flex justify-content-center w-100">
                        <span>Voice Call</span>
                    </div>
                </button>
            </div>
        </div>
    </section>
    <section style="background:linear-gradient(180deg, #F5F5F5, #FFF);padding-top: 80px;">
        <div class="container">
            <div class="breadcumb">
                <a href="/">Home</a>
                <span>
                    <svg width="100%" viewBox="0 0 8 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M1 1L6 8.5L1 16" stroke="#BBBBBB" stroke-width="2" stroke-linecap="round"></path>
                    </svg>
                </span>
                <span style="color: #9D9D9D">{{ $user->name }}</span>
            </div>
            <div class="single-psychic-content d-flex justify-content-center justify-content-lg-between">
                <div class="d-flex flex-column flex-lg-row align-items-center w-100">
                    <div class="single-psychic-profile">
                        <div class="rating d-block d-lg-flex" style="z-index: 1;width:unset">
                            <i class="fa-solid fa-star" style="color: #ffb800"></i>
                            <span>{{ (float) $user->review_avg_rating }}</span>
                        </div>
                        @if ($logged_in)
                            <div class="psychic-fav-btn d-block d-lg-none" data-id="{{ $user->id }}"
                                style="z-index: 1;">
                                <img src="{{ is_array($logged_in_user->user_info->fav_psychic) && !empty($logged_in_user->user_info->fav_psychic) && in_array($user->id, $logged_in_user->user_info->fav_psychic) ? asset('assets/images/heart-red.svg') : asset('assets/images/heart.svg') }}"
                                    alt="Favorites">
                            </div>
                        @endif
                        <div class="overlay"></div>
                        <img style="object-fit: cover;" class="w-100 h-100"
                            src="{{ $user->image ? asset('images/' . $user->image) : asset('assets/images/user.png') }}"
                            alt="">
                        @php
                            $online_status_arr = [
                                'Offline' => '#bbb',
                                'Online' => '#73c940',
                                'Busy' => '#ff5050',
                            ];
                        @endphp
                        <div class="online-status"
                            style="background-color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }}">
                            {{ $user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline' }}</div>
                    </div>
                    <div class="single-psychic-price">
                        <h2 class="d-lg-block d-none">{{ $user->name }}</h2>
                        <h4 class="d-lg-block d-none">{{ $user->fname . ' ' . $user->lname }}</h4>
                        <div class="d-flex justify-content-center">
                            <div class="communicate-btn"
                                {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_chat->price ? "onclick=location.href='" . route('psychics.chat', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                                style="background-color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }};{{ $user->psychic_info->chat && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                                <div class="btn-icon"
                                    style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                                    <i class="fa-solid fa-comment"
                                        style="color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                                </div>
                                <span>Chat</span>
                                <p class="price">${{ $user->psychic_info->per_minute_package_chat->price }}/min</p>
                            </div>
                            <div class="communicate-btn"
                                {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_voice->price ? "onclick=location.href='" . route('psychic.voice-call', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                                style="background-color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }};margin-left:17px;{{ $user->psychic_info->voice_call && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                                <div class="btn-icon"
                                    style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                                    <i class="fa-solid fa-phone"
                                        style="color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                                </div>
                                <span>Voice Call</span>
                                <p class="price">${{ $user->psychic_info->per_minute_package_voice->price }}/min</p>
                            </div>
                        </div>
                        {{-- <p class="history"><b class="fw-bold">{{ $user->booking_count }}</b>
                            readings since
                            {{ date('Y', strtotime($user->created_at)) }}</p> --}}
                        <p class="history">
                            {{ $user->psychic_info->reading_info }}
                        </p>
                    </div>
                </div>
                @if ($logged_in)
                    <div class="psychic-fav-btn d-none d-lg-block" data-id="{{ $user->id }}">
                        <img src="{{ is_array($logged_in_user->user_info->fav_psychic) && !empty($logged_in_user->user_info->fav_psychic) && in_array($user->id, $logged_in_user->user_info->fav_psychic) ? asset('assets/images/heart-red.svg') : asset('assets/images/heart.svg') }}"
                            alt="Favorites">
                    </div>
                @endif
                <div class="rating position-static d-none d-lg-flex">
                    <i class="fa-solid fa-star" style="color: #ffb800"></i>
                    <span>{{ (float) $user->review_avg_rating }}</span>
                </div>
            </div>
            <div class="single-psychic-about">
                <h1 class="title">About me</h1>
                <p>{{ $user->psychic_info->about ?? 'Not written yet' }}</p>
                <h1 class="title" style="margin-top:95px">Reviews</h1>
                <div class="review-lists">
                    @if (count($user->review))
                        <div class="review-inner-lists">
                            @foreach ($user->review as $review)
                                <div class="review-list">
                                    <div>
                                        <h2>{{ $review->user->name }}</h2>
                                        <p class="p-0">{{ $review->comment }}</p>
                                    </div>
                                    <span>{{ date('d M Y', strtotime($review->created_at)) }}</span>
                                </div>
                            @endforeach
                        </div>
                        @if ($user->review_count > 20)
                            <button type="button" data-id="{{ $user->id }}" data-offset="20"
                                class="show-more-review">+ See
                                more</button>
                        @endif
                    @else
                        <p class="m-0 p-0">No review yet</p>
                    @endif
                </div>
            </div>
        </div>
    </section>

    <section class="position-fixed w-100 bg-white single-psychic-fixed-content single-psychic-fixed-content-mobile">
        <div class="d-flex align-items-center justify-content-center">
            <button class="communicate-btn btn d-flex align-items-center"
                {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_chat->price ? "onclick=location.href='" . route('psychics.chat', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                style="background-color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }};{{ $user->psychic_info->chat && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                <div class="btn-icon"
                    style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                    <i class="fa-solid fa-comment"
                        style="color: {{ $online_status_arr[$user->psychic_info->chat ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                </div>
                <div class="d-flex justify-content-center w-100">
                    <span>Chat</span>
                </div>
            </button>
            <button class="communicate-btn btn d-flex align-items-center"
                {{ $logged_in ? ((float) $logged_in_user->user_info->balance >= (float) $user->psychic_info->per_minute_package_voice->price ? "onclick=location.href='" . route('psychic.voice-call', ['name' => $user->name]) . "'" : 'data-bs-toggle=modal data-bs-target=#packageModal') : "onclick=location.href='" . route('login') . "'" }}
                style="margin-left:14px;background-color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }};{{ $user->psychic_info->voice_call && $user->psychic_info->online_status == 'Online' ? 'cursor:pointer' : 'pointer-events:none' }}">
                <div class="btn-icon"
                    style="background: linear-gradient(0deg, {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }} 0%, rgb(255, 255, 255) 52%);">
                    <i class="fa-solid fa-phone"
                        style="color: {{ $online_status_arr[$user->psychic_info->voice_call ? $user->psychic_info->online_status : 'Offline'] }}"></i>
                </div>
                <div class="d-flex justify-content-center w-100">
                    <span>Voice Call</span>
                </div>
            </button>
        </div>
    </section>
</x-welcome-layout>
