<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/style.min.css" rel="stylesheet" />
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js"
        crossorigin="anonymous"></script>
    <script>
        const senderId = @json($logged_in_id ?? '');
        const senderRole = @json($logged_in_role ?? []);
    </script>
    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/css/app.css', 'resources/js/app.js'])
</head>

<body class="sb-nav-fixed">
    @include('layouts.navigation')
    @include('sticky-chat')
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                <div class="sb-sidenav-menu">
                    <div class="nav">
                        <div class="sb-sidenav-menu-heading">Core</div>
                        <a class="nav-link {{ request()->routeIs('dashboard') ? 'active' : '' }}"
                            href="{{ route('dashboard') }}">
                            <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                            Dashboard
                        </a>
                        @if (Auth::user()->hasRole('Psychic'))
                            <a class="nav-link {{ request()->routeIs('psychic.chat') ? 'active' : '' }}"
                                href="/psychic-chat">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-message"></i></div>
                                Chats
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('user.index') || request()->routeIs('user.create') || request()->routeIs('user.edit') || request()->routeIs('user.show') ? 'active' : '' }}"
                                href="/user">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-user"></i></div>
                                Users
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('psychic.index') || request()->routeIs('psychic.create') || request()->routeIs('psychic.edit') || request()->routeIs('psychic.show') ? 'active' : '' }}"
                                href="/psychic">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-user"></i></div>
                                Psychics
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('psychic-category.index') || request()->routeIs('psychic-category.create') || request()->routeIs('psychic-category.edit') || request()->routeIs('psychic-category.show') ? 'active' : '' }}"
                                href="/psychic-category">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-layer-group"></i></div>
                                Psychic Categories
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('package.index') || request()->routeIs('package.create') || request()->routeIs('package.edit') || request()->routeIs('package.show') ? 'active' : '' }}"
                                href="/package">
                                <div class="sb-nav-link-icon"><i class="fa-brands fa-usps"></i></div>
                                Packages
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('per-minute-package.index') || request()->routeIs('per-minute-package.create') || request()->routeIs('per-minute-package.edit') || request()->routeIs('per-minute-package.show') ? 'active' : '' }}"
                                href="/per-minute-package">
                                <div class="sb-nav-link-icon"><i class="fa-brands fa-usps"></i></div>
                                Per Minute Packages
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('review.index') || request()->routeIs('review.create') || request()->routeIs('review.edit') || request()->routeIs('review.show') ? 'active' : '' }}"
                                href="/review">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-star"></i></div>
                                Reviews
                            </a>
                        @endif
                        @if (Auth::user()->hasRole('Super Admin'))
                            <a class="nav-link {{ request()->routeIs('setting.index') || request()->routeIs('setting.create') || request()->routeIs('setting.edit') || request()->routeIs('setting.show') ? 'active' : '' }}"
                                href="{{ route('setting.edit', ['setting' => 1]) }}">
                                <div class="sb-nav-link-icon"><i class="fa fa-cog" aria-hidden="true"></i></div>
                                Settings
                            </a>
                        @endif
                    </div>
                </div>
                <div class="sb-sidenav-footer">
                    <div class="small">Logged in as:</div>
                    {{ Auth::user()->name }}
                </div>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                @if (!empty($psychic_cats))
                    <div class="modal fade show d-block" data-bs-backdrop="static" data-bs-keyboard="false"
                        id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-fullscreen">
                            <div class="modal-content">
                                <div class="modal-body d-flex align-items-center justify-content-center">
                                    <form action="{{ route('psychic-category-choose') }}" method="POST"
                                        enctype="multipart/form-data">
                                        @csrf
                                        <input type="hidden" name="id" value="{{ Auth::user()->id }}">
                                        <h3>Choose Category</h3>
                                        <div class="d-flex justify-content-center mt-2">
                                            @php
                                                $theme_colors = [
                                                    'secondary',
                                                    'success',
                                                    'info',
                                                    'warning',
                                                    'danger',
                                                    'light',
                                                    'dark',
                                                ];
                                                $theme_color_key = 0;
                                            @endphp
                                            @foreach ($psychic_cats as $psychic_cat)
                                                @php
                                                    if ($theme_color_key > 6) {
                                                        $theme_color_key = 0;
                                                    } else {
                                                        $theme_color_key++;
                                                    }
                                                @endphp
                                                <input type="checkbox" class="btn-check psychic-category-select"
                                                    name="psychic_category_id[]" value="{{ $psychic_cat->id }}"
                                                    id="{{ 'psychic-category-' . $psychic_cat->id }}">
                                                <label
                                                    class="me-2 btn btn-{{ $theme_colors[$theme_color_key] }} px-4 py-2"
                                                    for="{{ 'psychic-category-' . $psychic_cat->id }}">{{ $psychic_cat->name }}</label>
                                            @endforeach
                                        </div>
                                        <div class="d-flex justify-content-center mt-2">
                                            <button class="btn btn-primary">Save</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
                <div class="container-fluid px-4">
                    <!-- Page Heading -->
                    @isset($header)
                        {{ $header }}
                    @endisset
                    <!-- Page Content -->
                    {{ $slot }}
                </div>
            </main>
            <footer class="py-4 bg-light mt-auto">
                <div class="container-fluid px-4">
                    <div class="d-flex align-items-center justify-content-between small">
                        <div class="text-muted">Copyright &copy; Your Website 2023</div>
                        <div>
                            <a href="#">Privacy Policy</a>
                            &middot;
                            <a href="#">Terms &amp; Conditions</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
</body>

</html>
