<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" rel="stylesheet" />
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
    <script>
        const senderId = @json($logged_in_id ?? '');
        const senderRole = @json($logged_in_role ?? []);
    </script>
    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/css/app.css', 'resources/js/app.js'])
</head>

<body class="font-sans text-gray-900 antialiased">
    @include('sticky-chat')
    <div class="min-h-screen flex flex-col sm:justify-center items-center pt-6 sm:pt-0 bg-gray-100">
        <div>
            <a href="/">
                <x-application-logo class="w-20 h-20 fill-current text-gray-500" />
            </a>
        </div>

        <div class="w-full sm:max-w-md mt-6 px-6 py-4 bg-white shadow-md overflow-hidden sm:rounded-lg">
            {{ $slot }}
        </div>
    </div>
    <script src="https://www.google.com/recaptcha/api.js"></script>
    <script>
        function onSubmit(token) {
            document.getElementById("login-form").submit();
        }
        var fbID = 1256532222005129
        window.fbAsyncInit = function() {
            FB.init({
                appId: fbID,
                cookie: true,
                xfbml: true,
                version: 'v14.0'
            });

            FB.AppEvents.logPageView();

        };

        function fb_login(userType) {
            FB.login(function(response) {

                if (response.authResponse) {
                    FB.getLoginStatus(function(response) {
                        console.log(response)
                        jQuery.ajax({
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            url: '/facebook-register',
                            method: 'POST',
                            data: {
                                'response': response,
                                'user_type': userType,
                            },
                            success: function(data) {
                                if (data.route) {
                                    window.location.href = data.route
                                } else {
                                    jQuery('.alert').remove()
                                    jQuery('.fb-alert').html(data.message)
                                    jQuery('.fb-alert').addClass('alert alert-' + data.type)
                                }
                            },
                            error: function(xhr, status, error) {}
                        });
                    });

                } else {
                    //user hit cancel button
                    console.log('User cancelled login or did not fully authorize.');

                }
            }, {
                scope: 'public_profile,email,user_birthday,user_gender,user_hometown'
            });
        }

        // FB.getLoginStatus(function(response) {
        //     console.log(response)
        //     // statusChangeCallback(response);
        // });
        (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {
                return;
            }
            js = d.createElement(s);
            js.id = id;
            js.src = "https://connect.facebook.net/en_US/sdk.js";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));

        function shareOnFacebook(href) {
            FB.ui({
                method: 'share',
                href: href, // The URL you want to share
            }, function(response) {
                // Callback function after sharing
                if (response && !response.error_message) {
                    console.log('Post shared successfully');
                } else {
                    console.log('Error while sharing');
                }
            });
        }
    </script>
</body>

</html>
