<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>Laravel</title>

    <!-- Fonts -->
    <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    <link rel="stylesheet"
        href="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/css/intlTelInput.min.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/17.0.8/js/intlTelInput.min.js"></script>
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    <script src="https://js.stripe.com/v3/" crossorigin="anonymous"></script>
    <script>
        const senderId = @json($logged_in_id ?? '');
        const senderRole = @json($logged_in_role ?? []);
    </script>
    <!-- Scripts -->
    @vite(['resources/sass/app.scss', 'resources/css/app.css', 'resources/js/app.js'])
</head>

<body class="{{ $class }}">
    @include('sticky-chat')
    <div class="offcanvas offcanvas-start" tabindex="-1" id="side-menu" aria-labelledby="offcanvasExampleLabel">
        <div class="offcanvas-header d-block">
            <button type="button" class="btn bg-transparent" data-bs-dismiss="offcanvas" aria-label="Close">
                <i class="fas fa-times" style="color: #6C84FF;font-size: 22px;"></i>
            </button>
        </div>

        <div class="offcanvas-body">
            <div>
                <div class="main-menu">
                    <a href="{{ route('home') }}" class="main-menu-link">
                        <div class="main-menu-container">
                            <div class="main-menu-title">
                                <div
                                    class="{{ request()->routeIs('home') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                    Home</div>
                            </div>
                        </div>
                    </a>
                </div>
                @auth
                    @php
                        $role = collect($logged_in_role);
                    @endphp
                    @if (in_array('User', $role->all()))
                        <div class="dropdown">
                            <button
                                class="{{ request()->routeIs('psychics.category') ? 'active-menu-link' : 'nonactive-menu-link' }} dropdown-toggle w-100 text-left d-flex justify-content-between"
                                type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false"
                                style="font-size: 14px;font-weight: 700;padding:12px 0">
                                Specialities
                            </button>
                            <ul class="dropdown-menu border-0 w-100" aria-labelledby="dropdownMenuButton1">
                                @foreach ($psychic_categories as $psychic_category)
                                    <li class="main-menu">
                                        <a href="{{ route('psychics.category', ['psychic_category' => $psychic_category->name]) }}"
                                            class="main-menu-link">
                                            <div class="main-menu-container">
                                                <div class="main-menu-title">
                                                    <div
                                                        class="{{ request()->routeIs('psychics.category') && request()->route('psychic_category') == $psychic_category->name ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                                        {{ $psychic_category->name }}</div>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                @endforeach
                            </ul>
                        </div>
                        <div class="main-menu">
                            <a href="{{ route('user.my-activity') }}" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="{{ request()->routeIs('user.my-activity') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                            My Activity</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="main-menu">
                            <a href="{{ route('user.favorite-advisors') }}" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="{{ request()->routeIs('user.favorite-advisors') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                            Favorite Advisors</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="main-menu">
                            <form method="POST" action="{{ route('logout') }}">
                                @csrf
                                <a href="{{ route('logout') }}"
                                    onclick="event.preventDefault();
                                this.closest('form').submit();"
                                    class="main-menu-link">
                                    <div class="main-menu-container">
                                        <div class="main-menu-title">
                                            <div
                                                class="{{ request()->routeIs('user.favorite-advisors') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                                Logout</div>
                                        </div>
                                    </div>
                                </a>
                            </form>
                        </div>
                    @else
                        <div class="main-menu">
                            <a href="{{ route('dashboard') }}" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="{{ request()->routeIs('dashboard') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                            Dashboard</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    @endif
                @else
                    <div class="main-menu">
                        <a href="{{ route('psychic-register') }}" class="main-menu-link">
                            <div class="main-menu-container">
                                <div class="main-menu-title">
                                    <div
                                        class="{{ request()->routeIs('psychic-register') ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                        Psychic Register</div>
                                </div>
                            </div>
                        </a>
                    </div>
                    @foreach ($psychic_categories as $psychic_category)
                        <div class="main-menu">
                            <a href="{{ route('psychics.category', ['psychic_category' => $psychic_category->name]) }}"
                                class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="{{ request()->routeIs('psychics.category') && request()->route('psychic_category') == $psychic_category->name ? 'active-menu-link' : 'nonactive-menu-link' }}">
                                            {{ $psychic_category->name }}</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    @endforeach
                @endauth
            </div>
        </div>
    </div>
    <header class="position-fixed w-100 {{ $class }}" style="z-index: 999">
        <div class="container d-flex justify-content-between">
            <div class="d-flex align-items-center py-3">
                <button class="btn bg-transparent" type="button" data-bs-toggle="offcanvas" data-bs-target="#side-menu"
                    aria-controls="offcanvasExample">
                    <i class="fas fa-bars text-white" style="font-size:22px"></i>
                </button>
                <a href="/">
                    <x-application-logo class="logo" />
                </a>
            </div>
            <div class="d-flex align-items-center">
                @if (Route::has('login'))
                    <nav class="flex flex-1 justify-end">
                        @auth
                            <a href="{{ route('profile.edit') }}"
                                class="dashboard-btn text-decoration-none text-white d-flex align-items-center"
                                style="font-size: 16px">
                                {{ Auth::user()->name }}
                                @if (Auth::user()->image)
                                    <img style="width: 32px;border-radius: 50%;" class="ms-2"
                                        src="{{ asset('images/' . Auth::user()->image) }}" alt="">
                                @else
                                    <i style="font-size: 32px;color: #dcdcdc;border-radius: 50%;"
                                        class="bg-white ms-2 fa-solid fa-circle-user"></i>
                                @endif
                            </a>
                        @else
                            <a href="{{ route('login') }}"
                                class="login-btn d-flex align-items-center fw-bold me-3 text-white text-decoration-none">
                                Sign in
                            </a>

                            @if (Route::has('register'))
                                <a href="{{ route('register') }}" class="signup-btn fw-bold text-white btn"
                                    style="background-color: #6C84FF;">
                                    Join
                                </a>
                            @endif
                        @endauth
                    </nav>
                @endif
            </div>
        </div>
    </header>
    <main>
        {{ $slot }}
    </main>
    <footer>
        <a href="/">
            <x-application-logo style="width: 69px;" />
        </a>
        <div class="copyright">©<div>2024</div>&nbsp;<div>Askandanswers</div>
        </div>
        <div class="footer-menu">
            <a class="privacyLinks--zN3Q9" target="_blank" href="{{ route('privacy-policy') }}"
                rel="noreferrer">Privacy
                Policy</a>
            <div style="width: 10px;"></div>
            <a class="privacyLinks--zN3Q9" href="{{ route('terms-of-use') }}" target="_blank"
                rel="noreferrer">Terms
                of Use</a>
            <div style="width: 10px;"></div>
            <a class="privacyLinks--zN3Q9" href="{{ route('data-deletation') }}" target="_blank"
                rel="noreferrer">Data
                Deletation</a>
        </div>
        <div class="footer-social">
            <a href="https://twitter.com/Kasamba" target="_blank">
                <img width="26" src="{{ asset('assets/images/twitter.svg') }}" alt="">
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-facebook"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-instagram"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-tiktok"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-youtube"></i>
            </a>
        </div>
    </footer>
</body>

</html>
