<x-welcome-layout :class="$class_name">
    <section style="padding-top: 80px;" class="container">
        <div class="breadcumb">
            <a href="/">Home</a>
            <span>
                <svg width="100%" viewBox="0 0 8 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1 1L6 8.5L1 16" stroke="#BBBBBB" stroke-width="2" stroke-linecap="round"></path>
                </svg>
            </span>
            <span style="color: #9D9D9D">Profile</span>
        </div>
        <div class="card mb-4">
            @if (session('message'))
                <div class="alert alert-{{ session('type') }} text-center mb-0">
                    {{ session('message') }}
                </div>
            @endif
        </div>
        @if ($user->hasRole('User'))
            @include('stripe-modal', ['packages' => $packages])
            <div class="card mb-4">
                <div class="card-header d-flex">
                    <img class="me-2" src="{{ asset('assets/images/edit.png') }}" alt="">
                    {{ __('Current Balance') }}
                </div>
                <div class="card-body">
                    <div class="mb-3">
                        <label class="form-label">{{ $user->user_info->balance }}</label>
                        <button class="ms-2 btn btn-primary" data-bs-toggle="modal" data-bs-target="#packageModal">
                            Buy Credit
                        </button>
                    </div>
                </div>
            </div>
        @endif
        <div class="card mb-4">
            @include('profile.partials.update-profile-information-form')
        </div>
        <div class="card mb-4">
            @include('profile.partials.update-password-form')
        </div>
        {{-- <div class="card mb-4">
        @include('profile.partials.delete-user-form')
    </div> --}}
    </section>
</x-welcome-layout>
