<div class="row">
    @foreach ($users as $user)
        <div class="col-6 col-lg-4 col-xl-3">
            <div class="advisor-list" onclick="location.href='{{ route('psychic.single', ['name' => $user->name]) }}';">
                <div class="advisor-list-inner">
                    <img style="object-fit: cover;border-radius: 8px;" class="w-100 h-100"
                        src="{{ $user->image ? asset('images/' . $user->image) : asset('assets/images/user.png') }}"
                        alt="">
                    <div class="rating">
                        <i class="fa-solid fa-star" style="color: #ffb800"></i>
                        <span>{{ number_format($user->review_avg_rating, 2) }}</span>
                    </div>
                    <div class="advisor-title">
                        <h2 class="d-none d-lg-block">{{ $user->name }}</h2>
                        <h4 class="d-none d-lg-block">{{ $user->fname . ' ' . $user->lname }}</h4>
                        {{-- <span class="d-block d-lg-none"><b class="fw-bold">{{ $user->booking_count }}</b>
                            readings since
                            {{ date('Y', strtotime($user->created_at)) }}</span> --}}
                        <span class="d-block d-lg-none">
                            {{ $user->psychic_info->reading_info }}
                        </span>
                    </div>
                    @php
                        $online_status_arr = [
                            'Offline' => '#bbb',
                            'Online' => '#73c940',
                            'Busy' => '#ff5050',
                        ];
                    @endphp
                    <div class="online-status"
                        style="background-color: {{ $online_status_arr[$user->psychic_info->online_status] }}">
                        {{ $user->psychic_info->online_status }}</div>
                </div>
                <div class="advisor-content">
                    <h2 class="d-block d-lg-none">{{ $user->name }}</h2>
                    <h4 class="d-block d-lg-none">{{ $user->fname . ' ' . $user->lname }}</h4>
                    {{-- <span class="d-none d-lg-block"><b class="fw-bold">{{ $user->booking_count }}</b>
                        readings since
                        {{ date('Y', strtotime($user->created_at)) }}</span> --}}
                    <span class="d-none d-lg-block" style="height: 30px;">
                        {{ $user->psychic_info->reading_info }}
                    </span>
                    <p>{{ $user->psychic_info->about ? substr($user->psychic_info->about, 0, 100) . '....' : '' }}</p>
                    <div class="d-block d-lg-flex justify-content-between align-items-center">
                        <span class="price">${{ $user->psychic_info->per_minute_package_chat->price }}/min</span>
                        <a href="{{ route('psychic.single', ['name' => $user->name]) }}"
                            class="connect-btn fw-bold text-white btn" style="background-color: #6C84FF;">
                            Connect
                        </a>
                    </div>
                </div>
            </div>
        </div>
    @endforeach
</div>
