<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Laravel</title>

    <!-- Fonts -->
    <link href='https://fonts.googleapis.com/css?family=Poppins' rel='stylesheet'>
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    <script src="https://js.stripe.com/v3/" crossorigin="anonymous"></script>
    <script>
        const senderId = <?php echo json_encode($logged_in_id ?? '', 15, 512) ?>;
        const senderRole = <?php echo json_encode($logged_in_role ?? [], 15, 512) ?>;
    </script>
    <!-- Scripts -->
    <?php echo app('Illuminate\Foundation\Vite')(['resources/sass/app.scss', 'resources/css/app.css', 'resources/js/app.js']); ?>
</head>

<body class="<?php echo e($class); ?>">
    <?php echo $__env->make('sticky-chat', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="offcanvas offcanvas-start" tabindex="-1" id="side-menu" aria-labelledby="offcanvasExampleLabel">
        <div class="offcanvas-header d-block">
            <button type="button" class="btn bg-transparent" data-bs-dismiss="offcanvas" aria-label="Close">
                <i class="fas fa-times" style="color: #6C84FF;font-size: 22px;"></i>
            </button>
        </div>

        <div class="offcanvas-body">
            <div>
                <div class="main-menu">
                    <a href="<?php echo e(route('home')); ?>" class="main-menu-link">
                        <div class="main-menu-container">
                            <div class="main-menu-title">
                                <div
                                    class="<?php echo e(request()->routeIs('home') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                    Home</div>
                            </div>
                        </div>
                    </a>
                </div>
                <?php if(auth()->guard()->check()): ?>
                    <?php
                        $role = collect($logged_in_role);
                    ?>
                    <?php if(in_array('User', $role->all())): ?>
                        <div class="dropdown">
                            <button
                                class="<?php echo e(request()->routeIs('psychics.category') ? 'active-menu-link' : 'nonactive-menu-link'); ?> dropdown-toggle w-100 text-left d-flex justify-content-between"
                                type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false"
                                style="font-size: 14px;font-weight: 700;padding:12px 0">
                                Specialities
                            </button>
                            <ul class="dropdown-menu border-0 w-100" aria-labelledby="dropdownMenuButton1">
                                <?php $__currentLoopData = $psychic_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $psychic_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="main-menu">
                                        <a href="<?php echo e(route('psychics.category', ['psychic_category' => $psychic_category->name])); ?>"
                                            class="main-menu-link">
                                            <div class="main-menu-container">
                                                <div class="main-menu-title">
                                                    <div
                                                        class="<?php echo e(request()->routeIs('psychics.category') && request()->route('psychic_category') == $psychic_category->name ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                                        <?php echo e($psychic_category->name); ?></div>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="main-menu">
                            <a href="<?php echo e(route('user.my-activity')); ?>" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="<?php echo e(request()->routeIs('user.my-activity') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                            My Activity</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="main-menu">
                            <a href="<?php echo e(route('user.favorite-advisors')); ?>" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="<?php echo e(request()->routeIs('user.favorite-advisors') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                            Favorite Advisors</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <div class="main-menu">
                            <form method="POST" action="<?php echo e(route('logout')); ?>">
                                <?php echo csrf_field(); ?>
                                <a href="<?php echo e(route('logout')); ?>"
                                    onclick="event.preventDefault();
                                this.closest('form').submit();"
                                    class="main-menu-link">
                                    <div class="main-menu-container">
                                        <div class="main-menu-title">
                                            <div
                                                class="<?php echo e(request()->routeIs('user.favorite-advisors') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                                Logout</div>
                                        </div>
                                    </div>
                                </a>
                            </form>
                        </div>
                    <?php else: ?>
                        <div class="main-menu">
                            <a href="<?php echo e(route('dashboard')); ?>" class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="<?php echo e(request()->routeIs('dashboard') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                            Dashboard</div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    <?php endif; ?>
                <?php else: ?>
                    <div class="main-menu">
                        <a href="<?php echo e(route('psychic-register')); ?>" class="main-menu-link">
                            <div class="main-menu-container">
                                <div class="main-menu-title">
                                    <div
                                        class="<?php echo e(request()->routeIs('psychic-register') ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                        Psychic Register</div>
                                </div>
                            </div>
                        </a>
                    </div>
                    <?php $__currentLoopData = $psychic_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $psychic_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="main-menu">
                            <a href="<?php echo e(route('psychics.category', ['psychic_category' => $psychic_category->name])); ?>"
                                class="main-menu-link">
                                <div class="main-menu-container">
                                    <div class="main-menu-title">
                                        <div
                                            class="<?php echo e(request()->routeIs('psychics.category') && request()->route('psychic_category') == $psychic_category->name ? 'active-menu-link' : 'nonactive-menu-link'); ?>">
                                            <?php echo e($psychic_category->name); ?></div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <header class="position-fixed w-100 <?php echo e($class); ?>" style="z-index: 999">
        <div class="container d-flex justify-content-between">
            <div class="d-flex align-items-center py-3">
                <button class="btn bg-transparent" type="button" data-bs-toggle="offcanvas" data-bs-target="#side-menu"
                    aria-controls="offcanvasExample">
                    <i class="fas fa-bars text-white" style="font-size:22px"></i>
                </button>
                <a href="/">
                    <?php if (isset($component)) { $__componentOriginal8892e718f3d0d7a916180885c6f012e7 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal8892e718f3d0d7a916180885c6f012e7 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.application-logo','data' => ['class' => 'logo']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('application-logo'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['class' => 'logo']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal8892e718f3d0d7a916180885c6f012e7)): ?>
<?php $attributes = $__attributesOriginal8892e718f3d0d7a916180885c6f012e7; ?>
<?php unset($__attributesOriginal8892e718f3d0d7a916180885c6f012e7); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8892e718f3d0d7a916180885c6f012e7)): ?>
<?php $component = $__componentOriginal8892e718f3d0d7a916180885c6f012e7; ?>
<?php unset($__componentOriginal8892e718f3d0d7a916180885c6f012e7); ?>
<?php endif; ?>
                </a>
            </div>
            <div class="d-flex align-items-center">
                <?php if(Route::has('login')): ?>
                    <nav class="-mx-3 flex flex-1 justify-end">
                        <?php if(auth()->guard()->check()): ?>
                            <a href="<?php echo e(route('profile.edit')); ?>"
                                class="dashboard-btn text-decoration-none text-white d-flex align-items-center"
                                style="font-size: 16px">
                                <?php echo e(Auth::user()->name); ?>

                                <?php if(Auth::user()->image): ?>
                                    <img style="width: 32px;border-radius: 50%;" class="ms-2"
                                        src="<?php echo e(asset('images/' . Auth::user()->image)); ?>" alt="">
                                <?php else: ?>
                                    <i style="font-size: 32px;color: #dcdcdc;border-radius: 50%;"
                                        class="bg-white ms-2 fa-solid fa-circle-user"></i>
                                <?php endif; ?>
                            </a>
                        <?php else: ?>
                            <a href="<?php echo e(route('login')); ?>"
                                class="login-btn d-flex align-items-center fw-bold me-3 text-white text-decoration-none">
                                Sign in
                            </a>

                            <?php if(Route::has('register')): ?>
                                <a href="<?php echo e(route('register')); ?>" class="signup-btn fw-bold text-white btn"
                                    style="background-color: #6C84FF;">
                                    Join
                                </a>
                            <?php endif; ?>
                        <?php endif; ?>
                    </nav>
                <?php endif; ?>
            </div>
        </div>
    </header>
    <main>
        <?php echo e($slot); ?>

    </main>
    <footer>
        <a href="/">
            <?php if (isset($component)) { $__componentOriginal8892e718f3d0d7a916180885c6f012e7 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal8892e718f3d0d7a916180885c6f012e7 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.application-logo','data' => ['style' => 'width: 69px;']] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('application-logo'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['style' => 'width: 69px;']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal8892e718f3d0d7a916180885c6f012e7)): ?>
<?php $attributes = $__attributesOriginal8892e718f3d0d7a916180885c6f012e7; ?>
<?php unset($__attributesOriginal8892e718f3d0d7a916180885c6f012e7); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8892e718f3d0d7a916180885c6f012e7)): ?>
<?php $component = $__componentOriginal8892e718f3d0d7a916180885c6f012e7; ?>
<?php unset($__componentOriginal8892e718f3d0d7a916180885c6f012e7); ?>
<?php endif; ?>
        </a>
        <div class="copyright">©<div>2024</div>&nbsp;<div>Askandanswers</div>
        </div>
        <div class="footer-menu">
            <a class="privacyLinks--zN3Q9" target="_blank" href="<?php echo e(route('privacy-policy')); ?>"
                rel="noreferrer">Privacy
                Policy</a>
            <div style="width: 10px;"></div>
            <a class="privacyLinks--zN3Q9" href="<?php echo e(route('terms-of-use')); ?>" target="_blank"
                rel="noreferrer">Terms
                of Use</a>
            <div style="width: 10px;"></div>
            <a class="privacyLinks--zN3Q9" href="<?php echo e(route('data-deletation')); ?>" target="_blank"
                rel="noreferrer">Data
                Deletation</a>
        </div>
        <div class="footer-social">
            <a href="https://twitter.com/Kasamba" target="_blank">
                <img width="26" src="<?php echo e(asset('assets/images/twitter.svg')); ?>" alt="">
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-facebook"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-instagram"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-tiktok"></i>
            </a>
            <a class="ps-2" href="https://twitter.com/Kasamba" target="_blank">
                <i style="color: #7c7f89;font-size:26px" class="fa-brands fa-youtube"></i>
            </a>
        </div>
    </footer>
</body>

</html>
<?php /**PATH /home/idolyvsh/public_html/resources/views/layouts/welcome.blade.php ENDPATH**/ ?>