<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.bunny.net">
    <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/style.min.css" rel="stylesheet" />
    <script src="https://use.fontawesome.com/releases/v6.3.0/js/all.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/simple-datatables@7.1.2/dist/umd/simple-datatables.min.js"
        crossorigin="anonymous"></script>
    <script>
        const senderId = <?php echo json_encode($logged_in_id ?? '', 15, 512) ?>;
        const senderRole = <?php echo json_encode($logged_in_role ?? [], 15, 512) ?>;
    </script>
    <!-- Scripts -->
    <?php echo app('Illuminate\Foundation\Vite')(['resources/sass/app.scss', 'resources/css/app.css', 'resources/js/app.js']); ?>
</head>

<body class="sb-nav-fixed">
    <?php echo $__env->make('layouts.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('sticky-chat', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div id="layoutSidenav">
        <div id="layoutSidenav_nav">
            <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                <div class="sb-sidenav-menu">
                    <div class="nav">
                        <div class="sb-sidenav-menu-heading">Core</div>
                        <a class="nav-link <?php echo e(request()->routeIs('dashboard') ? 'active' : ''); ?>"
                            href="<?php echo e(route('dashboard')); ?>">
                            <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                            Dashboard
                        </a>
                        <?php if(Auth::user()->hasRole('Psychic')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('psychic.chat') ? 'active' : ''); ?>"
                                href="/psychic-chat">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-message"></i></div>
                                Chats
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('user.index') || request()->routeIs('user.create') || request()->routeIs('user.edit') || request()->routeIs('user.show') ? 'active' : ''); ?>"
                                href="/user">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-user"></i></div>
                                Users
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('psychic.index') || request()->routeIs('psychic.create') || request()->routeIs('psychic.edit') || request()->routeIs('psychic.show') ? 'active' : ''); ?>"
                                href="/psychic">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-user"></i></div>
                                Psychics
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('psychic-category.index') || request()->routeIs('psychic-category.create') || request()->routeIs('psychic-category.edit') || request()->routeIs('psychic-category.show') ? 'active' : ''); ?>"
                                href="/psychic-category">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-layer-group"></i></div>
                                Psychic Categories
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('package.index') || request()->routeIs('package.create') || request()->routeIs('package.edit') || request()->routeIs('package.show') ? 'active' : ''); ?>"
                                href="/package">
                                <div class="sb-nav-link-icon"><i class="fa-brands fa-usps"></i></div>
                                Packages
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('per-minute-package.index') || request()->routeIs('per-minute-package.create') || request()->routeIs('per-minute-package.edit') || request()->routeIs('per-minute-package.show') ? 'active' : ''); ?>"
                                href="/per-minute-package">
                                <div class="sb-nav-link-icon"><i class="fa-brands fa-usps"></i></div>
                                Per Minute Packages
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('review.index') || request()->routeIs('review.create') || request()->routeIs('review.edit') || request()->routeIs('review.show') ? 'active' : ''); ?>"
                                href="/review">
                                <div class="sb-nav-link-icon"><i class="fa-solid fa-star"></i></div>
                                Reviews
                            </a>
                        <?php endif; ?>
                        <?php if(Auth::user()->hasRole('Super Admin')): ?>
                            <a class="nav-link <?php echo e(request()->routeIs('setting.index') || request()->routeIs('setting.create') || request()->routeIs('setting.edit') || request()->routeIs('setting.show') ? 'active' : ''); ?>"
                                href="<?php echo e(route('setting.edit', ['setting' => 1])); ?>">
                                <div class="sb-nav-link-icon"><i class="fa fa-cog" aria-hidden="true"></i></div>
                                Settings
                            </a>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="sb-sidenav-footer">
                    <div class="small">Logged in as:</div>
                    <?php echo e(Auth::user()->name); ?>

                </div>
            </nav>
        </div>
        <div id="layoutSidenav_content">
            <main>
                <?php if(!empty($psychic_cats)): ?>
                    <div class="modal fade show d-block" data-bs-backdrop="static" data-bs-keyboard="false"
                        id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-fullscreen">
                            <div class="modal-content">
                                <div class="modal-body d-flex align-items-center justify-content-center">
                                    <form action="<?php echo e(route('psychic-category-choose')); ?>" method="POST"
                                        enctype="multipart/form-data">
                                        <?php echo csrf_field(); ?>
                                        <input type="hidden" name="id" value="<?php echo e(Auth::user()->id); ?>">
                                        <h3>Choose Category</h3>
                                        <div class="d-flex justify-content-center mt-2">
                                            <?php
                                                $theme_colors = [
                                                    'secondary',
                                                    'success',
                                                    'info',
                                                    'warning',
                                                    'danger',
                                                    'light',
                                                    'dark',
                                                ];
                                                $theme_color_key = 0;
                                            ?>
                                            <?php $__currentLoopData = $psychic_cats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $psychic_cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    if ($theme_color_key > 6) {
                                                        $theme_color_key = 0;
                                                    } else {
                                                        $theme_color_key++;
                                                    }
                                                ?>
                                                <input type="checkbox" class="btn-check psychic-category-select"
                                                    name="psychic_category_id[]" value="<?php echo e($psychic_cat->id); ?>"
                                                    id="<?php echo e('psychic-category-' . $psychic_cat->id); ?>">
                                                <label
                                                    class="me-2 btn btn-<?php echo e($theme_colors[$theme_color_key]); ?> px-4 py-2"
                                                    for="<?php echo e('psychic-category-' . $psychic_cat->id); ?>"><?php echo e($psychic_cat->name); ?></label>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                        <div class="d-flex justify-content-center mt-2">
                                            <button class="btn btn-primary">Save</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="container-fluid px-4">
                    <!-- Page Heading -->
                    <?php if(isset($header)): ?>
                        <?php echo e($header); ?>

                    <?php endif; ?>
                    <!-- Page Content -->
                    <?php echo e($slot); ?>

                </div>
            </main>
            <footer class="py-4 bg-light mt-auto">
                <div class="container-fluid px-4">
                    <div class="d-flex align-items-center justify-content-between small">
                        <div class="text-muted">Copyright &copy; Your Website 2023</div>
                        <div>
                            <a href="#">Privacy Policy</a>
                            &middot;
                            <a href="#">Terms &amp; Conditions</a>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>
</body>

</html>
<?php /**PATH /home/idolyvsh/public_html/resources/views/layouts/app.blade.php ENDPATH**/ ?>